/*****************************************************************

  Copyright (c) 1989 - 2009 by Patrick Amar - pa@lri.fr

    http://www.lri.fr/~pa

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.

*****************************************************************/
#ifndef COMBOP_H
#define COMBOP_H

typedef struct {
	XtPointer	extension;
} ComboClassPart;

/*
 *	Class record.
 */

typedef struct _ComboClassRec {
	CoreClassPart		core_class;
	PrimitiveClassPart	primitive_class;
	ComboClassPart		combo_class;
} ComboClassRec;

extern ComboClassRec comboClassRec;

typedef struct _ComboPart{
	char*			label;
	XFontStruct*	fp;
	Boolean			left_set;
	Boolean			right_set;
	Pixel			arm_color;
	GC				label_GC;
} ComboPart;

typedef struct _ComboRec {
	CorePart		core;
	PrimitivePart	primitive;
	ComboPart		combo;
} ComboRec, *ComboWidget;

#endif
