/*****************************************************************

  Copyright (c) 1989 - 2009 by Patrick Amar - pa@lri.fr

    http://www.lri.fr/~pa

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.

*****************************************************************/

#ifndef CONTAINER_H
#define CONTAINER_H

#ifndef	_CPP_
#ifdef	__cplusplus
#define	_CPP_	"C"
#else
#define	_CPP_
#endif
#endif

extern WidgetClass containerWidgetClass;

#include <string.h>

#ifndef bcopy
#	define index(s,c) strchr((s),(c))
#	define rindex(s,c) strrchr((s),(c))
#	define bcopy(s,d,n) memcpy((d),(s),(n))
#	define bcmp(a,b,n) memcmp((a),(b),(n))
#	define bzero(a,n) memset((a),0,(n))
#endif

#ifndef XwHORIZONTAL
#define XwHORIZONTAL	0
#define XwVERTICAL		1
#endif

#ifndef XtNshadowThickness
#	define XtNshadowThickness	"shadowThickness"
#endif

#ifndef XtCShadowThickness
#	define XtCShadowThickness	"ShadowThickness"
#endif

#ifndef XtNtopShadowColor
#	define XtNtopShadowColor		"topShadowColor"
#endif

#ifndef XtNbottomShadowColor
#	define XtNbottomShadowColor	"bottomShadowColor"
#endif

#ifndef	XtNcursor
#define	XtNcursor		"cursor"
#define	XtCCursor		"Cursor"
#endif

#ifndef XtNuserData
#	define	XtNuserData	"userData"
#endif

#ifndef XtCUserData
#	define	XtCUserData	"UserData"
#endif

#endif
