/*****************************************************************

  Copyright (c) 1989, 1999 by Patrick Amar - pa@lri.fr

    http://www.lri.fr/~pa

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.

*****************************************************************/

typedef struct {
	Pixmap		pixmaps;
	XtPointer	extension;
} DialClassPart;

/*
 *	Class record.
 */

typedef struct _DialClassRec {
	CoreClassPart		core_class;
	PrimitiveClassPart	primitive_class;
	DialClassPart		dial_class;
} DialClassRec;

extern DialClassRec dialClassRec;

typedef struct _DialPart{
	int		minimum;
	int		maximum;
	int		position;
	GC		dialGC;
} DialPart;

typedef struct _DialRec {
	CorePart		core;
	PrimitivePart	primitive;
	DialPart		dial;
} DialRec, *DialWidget;
