/*****************************************************************

  Copyright (c) 1989 - 2009 by Patrick Amar - pa@lri.fr

    http://www.lri.fr/~pa

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.

*****************************************************************/

/*
 *	La barre de popupMenus.
 */

typedef struct {
	XtPointer	extension;
} PopupMenuClassPart;

/*
 *	Class record.
 */

typedef struct _PopupMenuClassRec {
	CoreClassPart		core_class;
	PrimitiveClassPart	primitive_class;
	PopupMenuClassPart	popupMenu_class;
} PopupMenuClassRec;

extern PopupMenuClassRec popupMenuClassRec;

typedef struct _PopupMenuPart {
	XFontStruct*	font;
	int				font_height;
	GC				label_GC;
	GC				label_insensitive_GC;
	int				margin;
	char**			item;
	int				acc_pos;
	int				selected;
	Boolean			oblong;
	Pixel			arm_color;
	Pixel			accelerator_color;
} PopupMenuPart;

typedef struct _PopupMenuRec {
	CorePart	core;
	PrimitivePart	primitive;
	PopupMenuPart	popupMenu;
} PopupMenuRec;
