/*****************************************************************

  Copyright (c) 1989 - 2009 by Patrick Amar - pa@lri.fr

    http://www.lri.fr/~pa

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.

*****************************************************************/

extern WidgetClass queryWidgetClass;

typedef struct _QueryClassRec*	QueryWidgetClass;
typedef struct _QueryRec*	QueryWidget;

extern _CPP_ Widget	QueryGetChild (Widget, int);
extern _CPP_ void	QuerySetWorkArea (Widget, Widget);
	
#define OK_BUTTON	0
#define CANCEL_BUTTON	1
#define APPLY_BUTTON	2
#define EDIT		3
#define AUX_EDIT	4
#define AUX2_EDIT	5

#ifndef XtNset
#define		XtNset	"set"
#endif

#ifndef XtCLabel
#	define	XtCLabel	"Label"
#endif

#ifndef XtNlabel1
#	define	XtNlabel1	"label1"
#endif

#ifndef XtNlabel2
#	define	XtNlabel2	"label2"
#endif

#ifndef XtNlabel3
#	define	XtNlabel3	"label3"
#endif

#ifndef XtNokLabel
#	define	XtNokLabel	"okLabel"
#endif

#ifndef XtNapplyLabel
#	define	XtNapplyLabel	"applyLabel"
#endif

#ifndef XtNcancelLabel
#	define	XtNcancelLabel	"cancelLabel"
#endif

#ifndef XtNpixmap
#	define	XtNpixmap	"pixmap"
#endif

#ifndef XtNoffset
#	define	XtNoffset	"offset"
#	define	XtCOffset	"Offset"
#endif

#ifndef XtNprompt
#	define	XtNprompt	"prompt"
#	define	XtCPrompt	"Prompt"
#endif

#ifndef XtNdefaultButton
#	define	XtNdefaultButton	"defaultButton"
#	define	XtCDefaultButton	"DefaultButton"
#endif

#ifndef XtNtitle
#define XtNtitle	"title"
#define XtCTitle	"Title"
#endif

#ifndef XtNokCallback
#define XtNokCallback	"okCallback"
#endif

#ifndef XtNapplyCallback
#define XtNapplyCallback	"applyCallback"
#endif

#ifndef XtNcancelCallback
#define XtNcancelCallback	"cancelCallback"
#endif
