/*****************************************************************

  Copyright (c) 1989 - 2009 by Patrick Amar - pa@lri.fr

    http://www.lri.fr/~pa

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.

*****************************************************************/

typedef struct {
	XtPointer	extension;
} RulerClassPart;

/*
 *	Class record.
 */

typedef struct _RulerClassRec {
	CoreClassPart		core_class;
	PrimitiveClassPart	primitive_class;
	RulerClassPart		ruler_class;
} RulerClassRec;

extern RulerClassRec rulerClassRec;

typedef struct _RulerPart{
	short	left_offset;
	short	scroll;
	short	margin;
	short	stop_size;
	short	scale;
	int		tabStops [100];	/* abcisse des taquets de tabulation */
	Pixel	hot_color;
	Pixmap	pixmap;
	GC		rulerGC;
} RulerPart;

typedef struct _RulerRec {
	CorePart		core;
	PrimitivePart	primitive;
	RulerPart		ruler;
} RulerRec, *RulerWidget;
