/*****************************************************************

  Copyright (c) 1989 - 2009 by Patrick Amar - pa@lri.fr

    http://www.lri.fr/~pa

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.

*****************************************************************/

static char __new_features [] =
"Version 5.32 (Oct 4, 1997)\n"
"\n"
"	. A specific color (& font) is used for the keywords in language modes; the \"keywordColor\"\n"
"	  and \"keywordFont\" global resources and mode specific keyword_color and keyword_font\n"
"	  switches in the startup file allows the user to customize the display.\n"
"\n"
"	. A specific color (& font) is used for the C preprocessor directives inlanguage modes: (e.g. the\n"
"	  #include directive in C/C++ modes) the \"cppColor\" and \"cppFont\" global resources and\n"
"	  mode specific cpp_color and cpp_font switches in the startup file allows the user to\n"
"	  customize the display.\n"
"\n"
"	. A new startup file mode switche: line_comment used to display single line comments\n"
"	 (# in shell scripts or // in C++ programs).\n"
"\n"
"Version 5.33 (Nov 6, 1997)\n"
"\n"
"	. A specific color (& font) is used for the library functions in language modes; (e.g. the printf\n"
"	  function or the NULL constant in C/C++ modes) the \"libraryColor\" and \"libraryFont\"\n"
"	  global resources and mode specific cpp_color and cpp_font switches in the startup file\n"
"	  allows the user to customize the display.\n"
"\n"
"	. An old startup file is now detected and a dialog box informs the user that his/her startup\n"
"	  file will be renamed to ~/.wxrc.old and a new one created.\n"
"\n"
"	. The Query Replace dialog box shows the text cursor only in the current input field (initially\n"
"	  'Search for'). The up and down arrow keys can be used to select the desired field.\n"
"\n"
"	. For all the dialog boxes showing at least one text input field, the default value (most of the\n"
"	  time the previous value) is displayed in reverse video; any editing command (except a text\n"
"	  insertion) redisplay the value in standard mode.\n"
"\n"
"Version 5.34 (Dec 27, 1997)\n"
"\n"
"	. A specific color (& font) is used for the character strings, the \"stringColor\" and \"stringFont\"\n"
"	  global resources and mode specific string_color and string_font switches in the\n"
"	  startup file allows the user to customize the display.\n"
"\n"
"	. An undo / redo submode allows the user to undo all the commands up to the window\n"
"	  creation or the previous file loading. The command to enter this submode is \"undo\"\n"
"	  and the default key is \"^X^U\". In the undo / redo submode the up arrow key undo the\n"
"	  previous editing command, the down arrow key redo the previous undone editing\n"
"	  command; The ^G key exits the submode.\n"
"\n"
"	. A new command incremental-yank, invoked by the \"Esc-y\" key inserts the top of\n"
"	  the kill stack (the previous deleted text), then enters a submode; each time the \"y\" key\n"
"	  is hit, the inserted text is replaced by the previous item stored in the kill stack. Any\n"
"	  other key exits this submode; This is quite the same as the expand-alias command\n"
"	  except that the new text is taken from the kill stak instead of the alias table.\n"
"\n"
"	. The dialog box complaining about the old startup file now allows the user to keep\n"
"	  her/his startup file (the default action is still to rename it and to create a new startup\n"
"	  file).\n"
"\n"
"	. This box can be shown by selecting the New Features item in the help menu of the\n"
"	  WiX window.\n"
"\n"
"	. The \"Help on Commands\" box can be saved in a file in the home directory of the\n"
"	  user; the filename is the name of the mode with the extension .doc\n"
"	  ( e.g.  the documentation of the C++ mode is saved in the file: ~/C++.doc )\n"
"\n"
"Version 5.35 (Jan 22, 1998)\n"
"\n"
"	. A new command line option for the wxd server:\n"
"			-fs <fontsize>\n"
"			-fontsize <fontsize>\n"
"	  example:\n"
"			wxd -fs 18\n"
"\n"
"	  launches the WiX server with 18 points size default fonts. To get all the command line\n"
"	  options use the -h (or -help) option.\n"
"\n"
"	. When a new empty WiX window is created (either by clicking on the copyright button,\n"
"	  or by calling the \"wx\" shell command without a file parameter) the window is not\n"
"	  associated to a file, so when the save-file command is called (using the menu or\n"
"	  the \"^X^S\" keystroke) the file selector is popped to let the user choose a file name.\n"
"\n"
"	. Now the shell command \"wx some_file\" creates a new WiX window editing the file\n"
"	  \"some_file\" even if it does not exist: the window is associated to this file name, and\n"
"	  the file will be created by the save-file command.\n"
"\n"
"	. The help pulldown menu is now popped at the left of the help title, so it appears inside\n"
"	  the WiX window (in previous versions this pulldown menu appear outside the window).\n"
"\n"
"	. The dialog box asking for a confirmation when the quit-the-editor command is called\n"
"	  (Exit Server item of the Misc menu, or \"^X^Z\" keystroke) has now a third button\n"
"	  to save the modified windows before exiting the WiX editor.\n"
"\n"
"	. The dialog box complaining about the old startup file is now popped only once, even\n"
"	  if the user has kept her/his startup file. This box has now a third button to pop the\n"
"	  New Features window (the one you are looking at now!) to help the user to make\n"
"	  her/his choice.\n"
"\n"
"Version 5.36 (Feb 23, 1998)\n"
"\n"
"	. The mode word delimiters are now used to detect the keywords. As in the default\n"
"	  startup file, it is recommended for the C and C++ modes to leave the * (star sign) out\n"
"	  of the word delimiters.\n"
"\n"
"	. The type of a file (used to switch to the appropriate mode) is now detected by the suffix\n"
"	  of the name, and a magic word (a regular expression) searched in the first K bytes of the\n"
"	  file. If both match, the mode is selected, else the suffix is trusted before the magic word.\n"
"\n"
"	. A new switch (menu) in the startup file defines a mode specific popup menu activated\n"
"	  by the translation:\n"
"\n"
"					Shift<Btn3Down>:	pop-mode-menu()\n"
"\n"
"	. Many commands involving a dialog box have been duplicated to use a small text area\n"
"	  popped over the the menubar. These commands have the same name as the standard\n"
"	  ones but begins with the \"fast\" prefix:\n"
"\n"
"				fast-backward-search\n"
"				fast-forward-search\n"
"				fast-load-file\n"
"				fast-insert-file\n"
"\n"
"	  The load and insert file commands in their fast versions expands automagically the\n"
"	  file names; A window is popped showing all the names matching the current prefix. When\n"
"	  there is only one possible choice, the file is loaded (or inserted) without the need of any\n"
"	  confirmation.\n"
"\n"
"	. A new incremental search command using the fast input text field has been added.\n"
"	  This command is bound to the \"^S\" key in the standard startup file; the old one is still\n"
"	  bound to the \"Esc-s\" key. When a string is found, the user can move to the previous (next)\n"
"	  occurrence using the \"^P\" (\"^N\") key; the \"Return\" key exits the incremental search\n"
"	  command.\n"
"\n"
"	. A popup menu allowing the user to select a WiX window is activated by the translation:\n"
"\n"
"					Shift<Btn1Down>:	pop-window-menu()\n"
"\n"
"	. The key bindings (keytable and translations) defined in the Fundamental mode are\n"
"	  used as base bindings for the other modes. For example in the standard startup file\n"
"	  the \"Shift<Key>Tab\" is bound to the tabulation command; this translation is valid\n"
"	  for all the other modes (unless if in a specific mode the \"Shift<Key>Tab\" key is bound\n"
"	  to an other command).\n"
"\n"
"Version 5.37 (Apr 2, 1998)\n"
"\n"
"	. The character string delimiter is now a mode parameter (defaults to double quote).\n"
"\n"
"	. There is a new mode for the Postscript language.\n"
"\n"
"	. A bug in the display of yanked/inserted lines has been fixed.\n"
"\n"
"	. The Meta modifier can be used instead of the Escape prefix for complex keys.\n"
"	  For example:\n"
"				\"Meta<Key>V\" has the same meaning as \"<Key>Escape, <Key>V\"\n"
"	  This works for all the keys prefixed by the Escape character.\n"
"\n"
"Version 5.38 (June 24, 1998)\n"
"\n"
"	. The scrollbars have been reimplemented: there is an auto-repeat feature when the page\n"
"	  scroll is used. The slider is redrawn armed when the user drags it.\n"
"\n"
"	. There are two new command usable in the C, C++, and Java modes to move the cursor\n"
"	  to the beginning  and to the end of the current function. The default bindings are:\n"
"\n"
"					Meta<Key>Up:	c-beginning-of-function()\n"
"					Meta<Key>Down:	c-end-of-function()\n"
"\n"
"	. There is another new command usable in the language modes. This command pop up\n"
"	  a window containing the list of all the functions produced by the 'ctag' unix program;\n"
"	  Selecting a function with a left click edit the file containing the definition of this\n"
"	  function. The default: binding for this command is:\n"
"\n"
"					Meta<Key>T:		show-tags()\n"
"\n"
"	  The Meta modifier can be simulated with the Escape prefix.\n"
"\n"
"Version 5.39 (October 9, 1998)\n"
"\n"
"	. The cut/paste and kill/yank commands was very slow in the LaTeX mode, this is\n"
"	  now fixed.\n"
"\n"
"	. The insert-accent command is no longer in use; the replace-string is now used\n"
"	  to enter the accented characters. In the default startup file the accent keys are bound\n"
"	  like this:\n"
"\n"
"		translations:	:<Key>':		replace-string(\"e\", \"\")\\\n"
"					:<Key>`:		replace-string(\"e\", \"\", \"a\", \"\", \"u\", \"\")\\\n"
"					:<Key>\\,:		replace-string(\"c,\", \"\")\\\n"
"					:<Key>^:		replace-string(\"e\", \"\", \"a\", \"\", \"u\", \"\", \"i\", \"\")\n"
"\n"
"	  Warning: to get the c-cedilla character you must enter the c character followed by two\n"
"	  commas. These translations are present but commented in the language modes.\n"
"\n"
"Version 5.40 (March 12, 1999)\n"
"\n"
"	. The keywords in the default LaTeX mode have been updated.\n"
"	. There is a new command for the LaTeX mode: adjust-paragraph. This command is used\n"
"	  to wrap the lines of the current paragraph to fit in the window. The paragraph delimiter\n"
"	  is defined by the switch paragraph_delimitor in the startup file. The default value is:\n"
"\n"
"					paragraph_delimitor: ^[ 	]*\\[a-zA-Z]\n"
"\n"
"	  the key bindings may be:\n"
"\n"
"					~Ctrl<Key>space:	expand-from-alias() adjust-paragraph()\n"
"\n"
"	  which automagically expands words from the alias table and repaginate the paragraph.\n"
"\n"
"Version 5.41 (March 26, 1999)\n"
"	. There is a new mode (BibTex) to edit TeX references (thanks to C. Delorme).\n"
"	. The version number is now written on the startup file; the detection of a new\n"
"	   version of WiX is based on this version number.\n"
"	. There is a new command to display the current line in the center of the window. The\n"
"	   default key binding is:\n"
"\n"
"					Ctrl<Key>L:	center-curline()\n"
"\n"
"Version 5.42 (March 29, 1999)\n"
"	. There is a new command to get the behavior (alias table and key bindings) of a mode\n"
"	  while in an other mode. This can be used in the LaTeX mode to enter a C++ program\n"
"	  text in a \"verbatim\" section. The name of the submode is displayed next to name of the\n"
"	  main mode. In the following example, the F1 key set C++ as the submode of the current\n"
"	  mode, while the F2 key reverts to the plain mode:\n"
"\n"
"			translations:		<Key>F1:		change-mode-behavior(\"C++\")\\\n"
"							<Key>F2:		change-mode-behavior()\n"
"\n"
"	. A submode can be bound to a editing context: inside a string or a comment. There are\n"
"	  two new switches to define the behavior when editing a string or a comment; this can be\n"
"	  used (as in the example below) to get accented characters only in strings and comments:\n"
"\n"
"	defmode French {\n"
"		translations:	:<Key>':			replace-string(\"e\", \"\")\\\n"
"					:<Key>`:			replace-string(\"e\", \"\", \"a\", \"\", \"u\", \"\")\\\n"
"					:<Key>\\,:			replace-string(\"c,\", \"\")\\\n"
"					:<Key>^:			replace-string(\"e\", \"\", \"a\", \"\", \"u\", \"\", \"i\", \"\")\\\n"
"					~Ctrl<Key>space:	expand-from-alias()\n"
"\n"
"		alias:	meme		mme\\\n"
"				homogeneite	homognit\\\n"
"				deja		dj\n"
"	}\n"
"\n"
"	defmode C++ {\n"
"		comment_start:		/*\n"
"		comment_stop:		*/\n"
"		line_comment:		//\n"
"		comment_submode:	French\n"
"		string_submode:		French\n"
"		string_delimitor:		\"\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\"\n"
"		suffix:				*.cc *.h\n"
"		magic:				//\n"
"		tag_cmd:				make tags\n"
"		compile:				g++ -c %b.%e\n"
"		errors:				%*[^:]:%d:\n"
"		...\n"
"	}\n"
"\n"
"Version 5.43 (November 25, 1999)\n"
"	. Now you can include a file in the startup file:\n"
"\n"
"			include .my_mode\n"
"\n"
"	  assuming .my_mode is in your home directory. The include directive may be used\n"
"	  anywhere in the startup file:\n"
"\n"
"			defmode C++ {\n"
"				comment_start:		/*\n"
"				comment_stop:		*/\n"
"				...\n"
"				include .my_C++aliases\n"
"				...\n"
"			}\n"
"\n"
"	. There are two new switches used to define keywords. These keywords are a sequence\n"
"	  of any characters surrounded by two specific strings the begin_keyword and the\n"
"	  end_keyword :\n"
"\n"
"			defmode HTML {\n"
"				begin_keyword:	<\n"
"				end_keyword:		>\n"
"				...\n"
"			}\n"
"	  The characters in the begin_keyword and end_keyword may (or may not) be word\n"
"	  separators. The keyword begins with the begin_keyword string and ends with a\n"
"	  delimiter character or the end_keyword string (the first encountered).\n"
"\n"
"	. In the keyword list, you can now define keyword as:\n"
"\n"
"		1. a string of non delimiter characters\n"
"		2. a string containing one or more delimiter characters\n"
"		3. a restricted regexpr (fixed length: without *).\n"
"\n"
"	  The first type of string will be recognized only if it appears between delimiters.\n"
"	  The second type of string and the restricted regexpr are recognized anywhere\n"
"	  in the text (even inside a word).\n"
"\n"
"			defmode C++ {\n"
"				delimitors:	\\\";:.,~}*()[]=+-|!@$%&?<>\n"
"				keywords:	::		KeywordColor\\\n"
"							&&		KeywordColor\\\n"
"							||		KeywordColor\\\n"
"							<=		KeywordColor\\\n"
"							>=		KeywordColor\\\n"
"							!=		KeywordColor\\\n"
"							==		KeywordColor\\\n"
"							break	KeywordColor\\\n"
"							bool	KeywordColor\\\n"
"				...\n"
"			}\n"
"\n"
"	. The numbers are displayed with the cpp_font and cpp_color\n"
"	. There are two new modes: the Fvwmrc mode, and the Makefile mode.\n"
"	. Many many bugs fixed!\n"
"\n"
"Version 5.44 (April 10, 2000)\n"
"\n"
"	. A specific color (& font) is used for the constants in language modes; the \"constantColor\"\n"
"	  and \"constantFont\" global resources and mode specific constant_color and\n"
"	  constant_font switches in the startup file allows the user to customize the display.\n"
"\n"
"			defmode C++ {\n"
"				constant_color:	maroon\\\n"
"				keywords:	[_A-Z]+	ConstantColor\\\n"
"							[0-9]+	ConstantColor\\\n"
"							||		KeywordColor\\\n"
"							<=		KeywordColor\\\n"
"					...\n"
"\n"
"\n"
"Version 5.45 (January 7, 2000)\n"
"\n"
"	. A \"fast\" dialog box is now used to create files. The key ^X^W is now bound to the\n"
"	  fast-write-file action. The previous one using the standard file selector still exists\n"
"	  (write-file) but is not bound to any key in this version of WiX .\n"
"\n"
"	. The new file selector shows the directories in blue, the executable files in green, and.\n"
"	   the files matching the suffix of the current mode in maroon.\n"
"\n"
"	. Specific color & font are used for the class names in language modes; the \"classColor\"\n"
"	  and \"classFont\" global resources and mode specific class_color and\n"
"	  class_font switches in the startup file allows the user to customize the display. A class\n"
"	  name is defined as a name following (or preceding) a particular keyword. For example,\n"
"	  in the C++ language, a class name is found after the 'class' and 'new' keyword, and\n"
"	  before the '::' keyword. To implement this, the keyword list looks like this:\n"
"\n"
"			defmode C++ {\n"
"				keywords:	?		KeywordColor\\\n"
"							::		KeywordColor ClassColor <\\\n"
"							class	KeywordColor ClassColor >\\\n"
"							const	KeywordColor\\\n"
"							new		KeywordColor ClassColor >\\\n"
"				...\n"
"\n"
"	. There is a new command, toggle-octal-display , to display the non-ascii characters\n"
"	  either using the font glyph or the standard \\xxx octal display. This command is\n"
"	  bound to the ^X^B key in the default keytable, and appears in the \"Window\" menu.\n"
"\n"
"	. There is a new command, delete-beginning-of-line , to remove the characters\n"
"	  preceding the cursor. This command is bound to the ^U key in the default keytable\n"
"\n"

;
