/*****************************************************************

  Copyright (c) 1989 - 2009 by Patrick Amar - pa@lri.fr

    http://www.lri.fr/~pa

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.

*****************************************************************/
#ifndef CANVASP_H
#define CANVASP_H

typedef struct {
	XtPointer	extension;
} CanvasClassPart;

/*
 *	Class record.
 */

typedef struct _CanvasClassRec {
	CoreClassPart		core_class;
	PrimitiveClassPart	primitive_class;
	CanvasClassPart		canvas_class;
} CanvasClassRec;

extern CanvasClassRec canvasClassRec;

typedef struct _CanvasPart{
	Dimension		width;
	Dimension		height;
} CanvasPart;

typedef struct _CanvasRec {
	CorePart		core;
	PrimitivePart	primitive;
	CanvasPart		canvas;
} CanvasRec, *CanvasWidget;

#endif
