/*****************************************************************

  Copyright (c) 1989 - 2009 by Patrick Amar - pa@lri.fr

    http://www.lri.fr/~pa

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.

*****************************************************************/

#ifndef	CLIPP_H
#define	CLIPP_H

typedef struct {
	XtPointer	extension;
} ClipClassPart;

typedef struct _ClipClassRec {
	CoreClassPart		core_class;
	CompositeClassPart	composite_class;
	ClipClassPart		clip_class;
} ClipClassRec, *ClipWidgetClass;

extern ClipClassRec clipClassRec;

typedef struct {
	Boolean		rolled;
	Widget		top;
	Widget		bot;
	XtPointer	user_data;
} ClipPart;

typedef struct _ClipRec {
	CorePart		core;
	CompositePart	composite;
	ClipPart		clip;
} ClipRec, *ClipWidget;

#endif
