/*****************************************************************

  Copyright (c) 1989 - 2009 by Patrick Amar - pa@lri.fr

    http://www.lri.fr/~pa

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.

*****************************************************************/

extern WidgetClass dialogWidgetClass;

typedef struct _DialogClassRec*	DialogWidgetClass;
typedef struct _DialogRec*	DialogWidget;

extern _CPP_ Widget DialogGetChild (Widget, int);

#define OK_BUTTON	0
#define CANCEL_BUTTON	1
#define APPLY_BUTTON	2


#ifndef XtNtext
#	define XtNtext	"text"
#	define XtCText	"Text"
#endif

#ifndef XtNautoOk
#	define XtNautoOk	"autoOk"
#	define XtCAutoOk	"AutoOk"
#endif

#ifndef XtNtextCount
#	define XtNtextCount	"textCount"
#	define XtCTextCount	"TextCount"
#endif

#ifndef XtNtoggle
#	define XtNtoggle	"toggle"
#	define XtCToggle	"Toggle"
#endif

#ifndef XtNfields
#	define XtNfields	"fields"
#	define XtCFields	"Fields"
#endif



#ifndef XtNokLabel
#	define	XtNokLabel	"okLabel"
#endif

#ifndef XtNapplyLabel
#	define	XtNapplyLabel	"applyLabel"
#endif

#ifndef XtNcancelLabel
#	define	XtNcancelLabel	"cancelLabel"
#endif

#ifndef XtNdefaultButton
#	define	XtNdefaultButton	"defaultButton"
#	define	XtCDefaultButton	"DefaultButton"
#endif

#ifndef XtNdefaultToggle
#	define	XtNdefaultToggle	"defaultToggle"
#	define	XtCDefaultToggle	"DefaultToggle"
#endif

#ifndef XtNtitle
#define XtNtitle	"title"
#define XtCTitle	"Title"
#endif

#ifndef XtNokCallback
#define XtNokCallback	"okCallback"
#endif

#ifndef XtNapplyCallback
#define XtNapplyCallback	"applyCallback"
#endif

#ifndef XtNcancelCallback
#define XtNcancelCallback	"cancelCallback"
#endif
