/*****************************************************************

  Copyright (c) 1989 - 2009 by Patrick Amar - pa@lri.fr

    http://www.lri.fr/~pa

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.

*****************************************************************/

#ifndef FRAME_H
#define FRAME_H

typedef struct FrameClassRec *FrameWidgetClass;

extern WidgetClass frameWidgetClass;

#define XtNborderSize "borderSize"
#define XtCBorderSize "BorderSize"

#ifndef XtNuserData
#define XtNuserData	"userData"
#define XtCUserData "UserData"
#endif

#ifndef XtNtitle
#define XtNtitle "title"
#define XtCTitle "Title"
#endif

#ifndef	XtNcursor
#define	XtNcursor		"cursor"
#define	XtCCursor		"Cursor"
#endif

#ifndef	XtNmotionCursor
#define	XtNmotionCursor		"motionCursor"
#endif

#ifndef XtNforeground
#define XtNforeground "foreground"
#define XtCForeground "Foreground"
#endif

#ifndef XtNhilite
#define XtNhilite "hilite"
#endif

#ifndef XtNfont
#define XtNfont "font"
#define XtCFont "Font"
#endif

#ifndef XtNcloseCallback
#define XtNcloseCallback	"closeCallback"
#endif

#ifndef XtNminCallback
#define XtNminCallback	"minCallback"
#endif

#ifndef XtNmaxCallback
#define XtNmaxCallback	"maxCallback"
#endif

#endif
