/*****************************************************************

  Copyright (c) 1989 - 2009 by Patrick Amar - pa@lri.fr

    http://www.lri.fr/~pa

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.

*****************************************************************/

#ifndef POPUPMENU_H
#define POPUPMENU_H

#ifndef	_CPP_
#ifdef	__cplusplus
#define	_CPP_	"C"
#else
#define	_CPP_
#endif
#endif

extern WidgetClass popupMenuWidgetClass;

typedef struct _PopupMenuClassRec *PopupMenuWidgetClass;
typedef struct _PopupMenuRec      *PopupMenuWidget;

extern _CPP_ void PopMenu (Widget, XtPointer, XtPointer);
extern _CPP_ Widget CreatePopupMenu (Widget, char*, Arg*, Cardinal);

#ifndef XtNarmColor
#define		XtNarmColor	"armColor"
#define 	XtCArmColor	"ArmColor"
#endif

#ifndef XtNacceleratorColor
#define 	XtNacceleratorColor "acceleratorColor"
#endif

#ifndef XtNoblong
#define 	XtNoblong	"oblong"
#define 	XtCOblong	"Oblong"
#endif

#ifndef XtNmargin
#define 	XtNmargin		"margin"
#define 	XtCMargin		"Margin"
#endif

#ifndef XtNcursor
#define 	XtNcursor		"cursor"
#define 	XtCCursor		"Cursor"
#endif

#ifndef XtNitem
#define 	XtNitem			"item"
#define 	XtCItem			"Item"
#endif

#endif
