/*****************************************************************

  Copyright (c) 1989 - 2009 by Patrick Amar - pa@lri.fr

    http://www.lri.fr/~pa

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.

*****************************************************************/

#ifndef PRIMITIVE_H
#define PRIMITIVE_H

#ifndef	_CPP_
#ifdef	__cplusplus
#define	_CPP_	"C"
#else
#define	_CPP_
#endif
#endif

extern WidgetClass primitiveWidgetClass;

extern _CPP_ void Wait (Widget, int);
extern _CPP_ void FakeClick (Widget);
extern _CPP_ void SetManaged (Widget, Boolean);
extern _CPP_ void _FillOval (Display* dpy, Drawable drawable, GC gc, int x, int y, int w, int h, int r);
extern _CPP_ void _DrawOval (Display* dpy, Drawable drawable, GC gc, int x, int y, int w, int h, int r);

extern _CPP_ void SetDeleteWindow (Widget widget, void (*proc) (Widget));
extern _CPP_ void SetReshape (Widget widget, void (*proc) (Widget, Pixmap, int, int));

#include <string.h>

#ifndef bcopy
#	define index(s,c) strchr((s),(c))
#	define rindex(s,c) strrchr((s),(c))
#	define bcopy(s,d,n) memcpy((d),(s),(n))
#	define bcmp(a,b,n) memcmp((a),(b),(n))
#	define bzero(a,n) memset((a),0,(n))
#endif

#ifndef XwHORIZONTAL
#define XwHORIZONTAL	0
#define XwVERTICAL		1
#endif

#ifndef XpARROW_DOWN
#define XpARROW_DOWN	0
#define XpARROW_UP		1
#define XpARROW_LEFT	2
#define XpARROW_RIGHT	3
#endif

#if 1
#ifndef XtNtipMessage
#define XtNtipMessage	"tipMessage"
#define XtCTipMessage	"TipMessage"
#endif

#ifndef XtNtipFont
#define XtNtipFont	"tipFont"
#define XtCTipFont	"TipFont"
#endif

#ifndef XtNtipBackground
#define XtNtipBackground	"tipBackground"
#define XtCTipBackground	"TipBackground"
#endif

#ifndef XtNgravity
#define XtNgravity	"gravity"
#define XtCGravity	"Gravity"
#endif

#endif

#ifndef XtNshadowThickness
#	define XtNshadowThickness	"shadowThickness"
#endif

#ifndef XtCShadowThickness
#	define XtCShadowThickness	"ShadowThickness"
#endif

#ifndef XtNtopShadowColor
#	define XtNtopShadowColor		"topShadowColor"
#endif

#ifndef XtNbottomShadowColor
#	define XtNbottomShadowColor	"bottomShadowColor"
#endif

#ifndef XtNuserData
#	define	XtNuserData	"userData"
#endif

#ifndef XtCUserData
#	define	XtCUserData	"UserData"
#endif

#ifndef XtNselect
#	define XtNselect	"select"
#endif

#ifndef XtNrelease
#	define XtNrelease	"release"
#endif

#ifndef	XtNcursor
#define	XtNcursor		"cursor"
#endif

#ifndef	XtCCursor
#define	XtCCursor		"Cursor"
#endif

#endif
