/*****************************************************************

  Copyright (c) 1989 - 2009 by Patrick Amar - pa@lri.fr

    http://www.lri.fr/~pa

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.

*****************************************************************/

#ifndef ROWP_H
#define ROWP_H

typedef struct {
	XtPointer	extension;
} RowClassPart;

typedef struct _RowClassRec {
	CoreClassPart		core_class;
	CompositeClassPart	composite_class;
	ConstraintClassPart	constraint_class;
	ContainerClassPart	container_class;
	RowClassPart		row_class;
} RowClassRec, *RowWidgetClass;

extern RowClassRec rowClassRec;

typedef struct {
	int		padding;
	int		orientation;
	Widget	to_resize;
} RowPart;

typedef struct _RowRec {
	CorePart		core;
	CompositePart	composite;
	ConstraintPart	constraint;
	ContainerPart	container;
	RowPart			row;
} RowRec, *RowWidget;

#endif
