/*****************************************************************

  Copyright (c) 1989 - 2009 by Patrick Amar - pa@lri.fr

    http://www.lri.fr/~pa

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.

*****************************************************************/

#ifndef SCROLLBAR_H
#define SCROLLBAR_H

/*  Scrollbar Widget  */

extern WidgetClass scrollbarWidgetClass;

typedef struct _ScrollbarClassRec*	ScrollbarWidgetClass;
typedef struct _ScrollbarRec*		ScrollbarWidget;

#ifndef XpaHORIZONTAL
#define XpaHORIZONTAL 0
#endif

#ifndef XpaVERTICAL
#define XpaVERTICAL	1
#endif

#ifndef XtNsliderMin
#	define XtNsliderMin		"sliderMin"
#	define XtCSliderMin		"SliderMin"
#endif

#ifndef XtNsliderMax
#	define XtNsliderMax		"sliderMax"
#	define XtCSliderMax		"SliderMax"
#endif

#ifndef XtNsliderOrigin
#	define XtNsliderOrigin		"sliderOrigin"
#	define XtCSliderOrigin		"SliderOrigin"
#endif

#ifndef XtNsliderExtent
#	define XtNsliderExtent		"sliderExtent"
#	define XtCSliderExtent		"SliderExtent"
#endif

#ifndef XtNslideOrientation
#	define XtNslideOrientation     "slideOrientation"
#	define XtCSlideOrientation     "SlideOrientation"
#	define XtRSlideOrientation     "slideOrientation"
#endif

#ifndef XtNsliderMoved
#	define XtNsliderMoved		"sliderMoved"
#endif

#ifndef XtNareaSelected
#	define XtNareaSelected		"areaSelected"
#endif

#ifndef XtNsliderColor
#	define	XtNsliderColor	"sliderColor"
#endif

#ifndef XtNarmColor
#	define	XtNarmColor	"armColor"
#	define	XtCArmColor	"ArmColor"
#endif

#endif
