/*****************************************************************

  Copyright (c) 1989 - 2009 by Patrick Amar - pa@lri.fr

    http://www.lri.fr/~pa

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.

*****************************************************************/

#ifndef SCROLLEDWIN_H
#define SCROLLEDWIN_H

#ifndef	_CPP_
#ifdef	__cplusplus
#define	_CPP_	"C"
#else
#define	_CPP_
#endif
#endif

extern _CPP_ void	SwSetTitle (Widget, char*);
extern _CPP_ void 	SwSetLabel (Widget, char*);
extern _CPP_ Widget	SwVSB (Widget);
extern _CPP_ Widget	SwHSB (Widget);

extern WidgetClass scrolledWindowWidgetClass;

typedef struct _ScrolledWindowClassRec*	ScrolledWindowWidgetClass;
typedef struct _ScrolledWindowRec*		ScrolledWindowWidget;

#ifndef XtNlabelColor
#define XtNlabelColor	"labelColor"
#endif

#ifndef XtNlabel
#define XtNlabel	"label"
#define XtCLabel	"Label"
#endif

#ifndef XtNtitle
#define XtNtitle	"title"
#define XtCTitle	"Title"
#endif

#ifndef XtNoffset
#define XtNoffset	"offset"
#endif

#ifndef XtCOffset
#define XtCOffset	"Offset"
#endif

#ifndef XtNhScrollBar
#define XtNhScrollBar	"hScrollBar"
#endif

#ifndef XtCHScrollBar
#define XtCHScrollBar	"HScrollBar"
#endif

#ifndef XtNvScrollBar
#define XtNvScrollBar	"vScrollBar"
#endif

#ifndef XtCVScrollBar
#define XtCVScrollBar	"VScrollBar"
#endif

#ifndef XtNwideScrollBar
#define XtNwideScrollBar	"wideScrollBar"
#endif

#ifndef XtCWideScrollBar
#define XtCWideScrollBar	"WideScrollBar"
#endif

#endif
