/*****************************************************************

  Copyright (c) 1989 - 2009 by Patrick Amar - pa@lri.fr

    http://www.lri.fr/~pa

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.

*****************************************************************/

typedef struct {
	XtPointer	extension;
} ScrolledWindowClassPart;

typedef struct _ScrolledWindowClassRec {
    CoreClassPart			core_class;
    CompositeClassPart  	composite_class;
    ConstraintClassPart 	constraint_class;
    ContainerClassPart  	manager_class;
    ScrolledWindowClassPart	swindow_class;
} ScrolledWindowClassRec;

extern ScrolledWindowClassRec XwswindowClassRec;

typedef struct {
	Widget			hScrollBar;
	Widget			vScrollBar;
	Boolean			wide_scrollbar;
	int				offset;
	Widget			bboard;
	XFontStruct*	fp;
	String			label;
	String			title;
	Pixmap			pixmap;
	XtCallbackList	select;
	GC				label_GC;
	Pixel			label_color;
	int				p_height;
	int				p_width;
	int				p_depth;
} ScrolledWindowPart;

typedef struct _ScrolledWindowRec {
    CorePart			core;
    CompositePart		composite;
    ConstraintPart		constraint;
    ContainerPart		manager;
    ScrolledWindowPart	swindow;
} ScrolledWindowRec;
