/*****************************************************************

  Copyright (c) 1989 - 2009 by Patrick Amar - pa@lri.fr

    http://www.lri.fr/~pa

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.

*****************************************************************/

#ifndef TEXTLIST_H
#define TEXTLIST_H

extern WidgetClass textListWidgetClass;

extern _CPP_ Widget XpaCreateScrolledList (Widget, char*, Arg*, Cardinal);

#ifndef XtNvScrollPositionCallback
#	define	XtNvScrollPositionCallback	"vScrollPositionCallback"
#endif

#ifndef XtNvScrollSizeCallback
#	define	XtNvScrollSizeCallback		"vScrollSizeCallback"
#endif

#ifndef XtNsingleSelection
#	define	XtNsingleSelection	"singleSelection"
#	define	XtCSingleSelection	"SingleSelection"
#endif

#ifndef XtNfirstItem
#	define XtNfirstItem		"firstItem"
#	define XtCFirstItem		"FirstItem"
#endif

#ifndef XtNvScrollPosition
#	define	XtNvScrollPosition	"vScrollPosition"
#	define	XtCScroll		"Scroll"
#endif

#ifndef XtNvScrollSize
#	define	XtNvScrollSize		"vScrollSize"
#endif

#ifndef XtNitemList
#	define XtNitemList			"itemList"
#	define XtCItemList			"ItemList"
#endif

#ifndef XtNselectionColor
#	define XtNselectionColor	"selectionColor"
#endif

#ifndef XtNselectionStyle
#	define XtNselectionStyle	"selectionStyle"
#	define XtCSelectionStyle	"SelectionStyle"
#endif

#ifndef XtNselectionNumber
#	define XtNselectionNumber	"selectionNumber"
#	define XtCSelectionNumber	"SelectionNumber"
#endif

#ifndef XtNlineNum
#	define XtNlineNum		"lineNum"
#	define XtCLineNum		"LineNum"
#endif

#ifndef XtNnumItem
#	define XtNnumItem		"numItem"
#	define XtCNumItem		"NumItem"
#endif

#ifndef XtNoffset
#	define XtNoffset		"offset"
#	define XtCOffset		"Offset"
#endif

#endif
