/*****************************************************************

  Copyright (c) 1989 - 2009 by Patrick Amar - pa@lri.fr

    http://www.lri.fr/~pa

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.

*****************************************************************/

char __def_config [] =
"! \n"
"! 	Menus.\n"
"! \n"
"\n"
"!defmenu <Menu title> {\n"
"!	<Item> <tabulation> <key>, <command>\n"
"!	- (separator)\n"
"!	= (double separator)\n"
"!}\n"
"\n"
"defmenu File {\n"
"	Load...			^X^R, load-file\n"
"	Reload			^X^V, load-same-file\n"
"	Insert...		^X^I, insert-file\n"
"	Save			^X^S, save-file\n"
"	Save As...		^X^W, write-file\n"
"	Directory...	^X^D, change-directory\n"
"	-\n"
"	New...			^X^K, clear-buffer\n"
"	Delete...,			  delete-file\n"
"	=\n"
"	Exit			^X^C, delete-window\n"
"}\n"
"\n"
"defmenu Edit {\n"
"	Undo / Redo			^X^U,  undo\n"
"	Show Clipboard		^Z-k,  show-kill-stack\n"
"	Incremental Search...	^S, incremental-search\n"
"	Search Forward...	Esc-s, forward-search\n"
"	Search Backward...	Esc-r, backward-search\n"
"	Query Replace...	Esc-%, query-replace\n"
"}\n"
"\n"
"defmenu Window {\n"
"	New			^Z^W, create-window\n"
"	Next		^Z^N, next-window\n"
"	Split		^Z^S, split-window\n"
"	Unsplit		^Z^U, unsplit-window\n"
"	-\n"
"	Ruler		^Z^R, show-ruler\n"
"	Line Number,	  show-line-number\n"
"	Wrap Mode,		  auto-wrap-mode\n"
"	Binary Mode,	  toggle-octal-display\n"
"	Tab Stops...,	  set-tab-equiv\n"
"}\n"
"\n"
"! \n"
"! 	To get the mode menu:\n"
"! \n"
"!defmenu <Menu title> modes\n"
"\n"
"defmenu Modes modes\n"
"\n"
"! \n"
"! 	To get the font menu:\n"
"! \n"
"\n"
"!fonts <Menu title>\n"
"!	<font name> <tabulation> <font size>, <full name of the font>\n"
"!	- (separator)\n"
"!	= (double separator) \n"
"!	Default Font, default\n"
"!}\n"
"\n"
"fonts Fonts {\n"
"	Helvetica	14,		*-helvetica-medium-r-normal--14-*iso8859-1\n"
"	CourierMedium	14,	*-courier-medium-r-normal--14-*iso8859-1\n"
"	CourierBold	14,		*-courier-bold-r-normal--14-*iso8859-1\n"
"	Times	18,			*-times-medium-r-normal--18-*-75*iso8859-1\n"
"	TimesBold	18,		*-times-bold-r-normal--18-*-75*iso8859-1\n"
"	-\n"
"	Default Font,		default\n"
"}\n"
"\n"
"defmenu Misc {\n"
"	Eval lisp line...,				eval-lisp-line\n"
"	Load lisp file...		^X^L,	load-lisp-file\n"
"	Save lisp macro...,				save-lisp-macro\n"
"	=\n"
"	Reconfigure Server...	^Z^Z,	restart-server\n"
"	Exit Server				^X^Z,	quit-the-editor\n"
"}\n"
"\n"
"! \n"
"! 	File inclusion:\n"
"! \n"
"\n"
"!include file\n"
"\n"
"! \n"
"! 	Mode definition:\n"
"! \n"
"\n"
"!defmode <Mode name> {\n"
"!\n"
"! Each item has a default value, so some may be skipped.\n"
"!\n"
"!Up to 10 pushbuttons can be put on the top of the window (below the menubar)\n"
"!Each pushbutton shows a xpm, xbm image or a text label\n"
"!and is bound to a command.\n"
"!\n"
"!	button:	load.xbm	load-file		! here is a xbm image\n"
"!	button:	save.xpm	save-file		! here is a xpm image\n"
"!	button:	Exit		delete-window	! here is a text label\n"
"!\n"
"!	paragraph_delimitor:	^[ 	]*\\\\[a-zA-Z]	! regexp to specify the paragraph\n"
"!										! delimitor used by the adjust-paragraph\n"
"!										! command\n"
"!	suffix:			*.cc *.h				! Loading a file ending with .c\n"
"!											  or .h switch to this mode.\n"
"!	magic:			//						! magic  string to detect the type\n"
"!											  of the file.\n"
"!	delimitors:		;:.,~}()[]=+-|!@$%&?<>	! Word delimitors.\n"
"!	auto_wrap:		on / off				! Wrap lines in tihs mode if set to \"on\".\n"
"!	string_delimitor:	\"						! Character string delimitor.\n"
"!	comment_start:	/*						! Multiline comment start\n"
"!	comment_stop:	*/						! Multiline comment stop\n"
"!	line_comment:	//						! Endline comment.\n"
"!	tag_cmd:		make tags				! Produce the tag file.\n"
"!	compile:			make %b.o				! Compile command.\n"
"!											  (%b is the basename of the file)\n"
"!\n"
"!	print:			latex %b && dvips %b | lpr && rm -f %b.log %b.aux %b.dvi\n"
"!											Print the buffer using this\n"
"!											/bin/sh script\n"
"!\n"
"!	errors:			%*[^:]:%d:				! Regexp used to filter the error\n"
"!											  messages produced by the compiler\n"
"!	background:		antique white			! background color of the window\n"
"!\n"
"!Translation table of this mode (used to bind some bizarre key,\n"
"!such as Shift+Tab, which has no ascii equivalent, or to bind a\n"
"!key to a sequence of commands).\n"
"!\n"
"!	translations:	Shift<Key>Tab:	tabulation()\\\n"
"!					<Key>F1:		insert-char(\"{\\bf \")forward-word()\n"
"!\n"
"!Table used to bind the keystrokes to the commands ($E stands\n"
"!for Escape). Used to bind a sequence of keys; these bindings\n"
"!override those defined in the fundamental mode.\n"
"!\n"
"!	keytable:	^I	expand-alias\\\n"
"!				^M	new-line-indent-c\\\n"
"!				^X^R	load-file\n"
"!\n"
"!Alias table of this mode (you type the beginning of the prefix\n"
"!(the left part), then the Tab key, and the prefix is replaced by\n"
"!the right part of the alias according to the following rules:\n"
"!\n"
"!	\\*	means where the cursor will be left after the replacement.\n"
"!	\\i	new line with the same indent level.\n"
"!	\\+	new line with one more indent level.\n"
"!	\\-	new line with one less indent level.\n"
"!	\\n	new line.\n"
"!	\\t	tabulation.\n"
"!\n"
"!	alias:	{	{\\+\\*\\-}\\\n"
"!			(	(\\*)\\\n"
"!			break;	break;\\\n"
"!			main	main (int argc, char** argv)\\i{\\+\\*\\-}\\i\\\n"
"!			char	char\\\n"
"!			case	case \\*:\n"
"!\n"
"!	abbrev:		/usr/include/X11/Intrinsic.h	! Same as the alias, but words\n"
"!												  are taken from this file.\n"
"!\n"
"!These words (left part of each rule) will be displayed with the font and\n"
"!color specified by the right part:\n"
"!\n"
"!	StandardColor	use the XtNforeground and XtNfont resources\n"
"!	KeywordColor	use the XtNkeywordColor and XtNkeywordFont resources\n"
"!	CppColor		use the XtNcppColor and XtNcppFont resources\n"
"!	ConstantColor	use the XtNconstantColor and XtNconstantFont resources\n"
"!	LibraryColor	use the XtNlibraryColor and XtNlibraryFont resources\n"
"!	StringColor		use the XtNstringColor and XtNstringFont resources\n"
"!\n"
"!(note: these resources can be overridden in each mode by the standard_font,\n"
"!		comment_font, keyword_font, cpp_font, library_font, string_font, constant_font,\n"
"!		standard_color, comment_color, keyword_color, cpp_color, library_color,\n"
"!		string_color and constant_color switches [see below])\n"
"!\n"
"!	keywords:	break		KeywordColor\\\n"
"!				long		KeywordColor\\\n"
"!				!=			KeywordColor\\\n"
"!				fprintf		LibraryColor\\\n"
"!				exit		LibraryColor\\\n"
"!				[0-9]+		ConstantColor\\\n"
"!				#define		CppColor\\\n"
"!				#include	CppColor\n"
"!\n"
"!A keyword can be defined as:\n"
"!\n"
"!		1. a string of non delimiter characters\n"
"!		2. a string containing one or more delimiter characters\n"
"!		3. a restricted regexpr (without *).\n"
"!		4. a regexpr (with +) matching words (without delimiters).\n"
"!\n"
"!The first and fourth type of string will be recognized only if it appears between delimiters.\n"
"!The second type of string and the restricted regexpr are recognized anywhere\n"
"!in the text.\n"
"!\n"
"!A keyword can also be defined as a sequence of any character surrounded by\n"
"!a 'begin_keyword' and the first of a delimiter character or a 'end_keyword'\n"
"!string:\n"
"!\n"
"!	begin_keyword:	<\n"
"!	end_keyword:	>\n"
"!\n"
"!		'<table>' will be drawn in the keyword_color and\n"
"!		'<table width=\"100%\">' will have only the characters '<table'\n"
"!		drawn in the keyword_color.\n"
"!		\n"
"!	standard_font:	*courier*r*14*			! text font in this mode\n"
"!	standard_color:	black				! text color in this mode\n"
"!	keyword_font:	*courier*r*14*			! font for the keywords\n"
"!	keyword_color:	brown				! color for the keywords\n"
"!	comment_font:	*times*r*14*			! font used to display comments\n"
"!	comment_color:	blue				! color used to display comments\n"
"!	library_font:		*courier*r*14*			! font for the library functions\n"
"!	library_color:		maroon				! color for the library functions\n"
"!	cpp_font:		*courier*r*14*			! font for the preprocessor commands\n"
"!	cpp_color:		maroon				! color for the preprocessor commands\n"
"!	constant_font:	*courier*r*14*			! font for the constants\n"
"!	constant_color:	maroon				! color for the constants\n"
"!	string_font:		*new*r*14*			! font used to display the strings\n"
"!	string_color:		dimgrey				! color for the character strings\n"
"!}\n"
"\n"
"defmode Fundamental {\n"
"	translations:	Shift<Key>Tab:	tabulation()\\\n"
"				Shift<Btn1Down>:	pop-window-menu()\\\n"
"				Shift<Btn3Down>:	pop-mode-menu()\n"
"\n"
"	keytable:		^I	expand-alias\\\n"
"				^S	incremental-search\\\n"
"				^X^I	fast-insert-file\\\n"
"				^X^F	fast-load-file\\\n"
"				^X^W	fast-write-file\\\n"
"				$Er	fast-backward-search\\\n"
"				$E(	exec-named-macro(match-open-par)\\\n"
"				$E)	exec-named-macro(match-close-par)\\\n"
"				^Z^Z	restart-server\n"
"}\n"
"\n"
"defmode C++ {\n"
"	menu {\n"
"		Compile Buffer,			compile-buffer\n"
"		Set Compile Command...,	set-compile-command\n"
"		Set Tag Command...,	set-tag-command\n"
"		Unix Command...,			exec-command\n"
"	}\n"
"	suffix:	*.cc *.h\n"
"	magic:	//\n"
"	tag_cmd: make tags\n"
"	compile: g++ -c %b.%e\n"
"	errors: %*[^:]:%d:\n"
"	comment_start: /*\n"
"	comment_stop: */\n"
"	line_comment: //\n"
"	abbrev:		/usr/X11R6/include/X11/Intrinsic.h\n"
"	delimitors:	\\!\";:.,~}*()[]=+-|@$%&?<>\n"
"	comment_submode:	French\n"
"	string_submode:		French\n"
"	keytable:	^M	new-line-indent-c\\\n"
"				$E$U	c-beginning-of-function\\\n"
"				$E$D	c-end-of-function\\\n"
"				$E^C	compile-buffer\\\n"
"				$Et	show-tags\\\n"
"				$E{	match-opening-brace\\\n"
"				$E}	match-closing-brace\\\n"
"				$E(	match-opening-par\\\n"
"				$E)	match-closing-par\\\n"
"				]	flasher\\\n"
"				)	flasher\\\n"
"				}	flasher\n"
"\n"
"	keywords:	?		KeywordColor\\\n"
"				::		KeywordColor ClassColor <\\\n"
"				:		KeywordColor\\\n"
"				*		KeywordColor\\\n"
"				&		KeywordColor\\\n"
"				&&		KeywordColor\\\n"
"				||		KeywordColor\\\n"
"				<=		KeywordColor\\\n"
"				>=		KeywordColor\\\n"
"				!=		KeywordColor\\\n"
"				==		KeywordColor\\\n"
"				\\+\\+		KeywordColor\\\n"
"				--		KeywordColor\\\n"
"				\\+=		KeywordColor\\\n"
"				-=		KeywordColor\\\n"
"				[_A-Z]+	ConstantColor\\\n"
"				[0-9]+	ConstantColor\\\n"
"				break	KeywordColor\\\n"
"				bool	KeywordColor\\\n"
"				char	KeywordColor\\\n"
"				case	KeywordColor\\\n"
"				class	KeywordColor ClassColor >\\\n"
"				const	KeywordColor\\\n"
"				public	KeywordColor ClassColor >\\\n"
"				private	KeywordColor ClassColor >\\\n"
"				protected	KeywordColor ClassColor >\\\n"
"				operator	KeywordColor\\\n"
"				friend	KeywordColor\\\n"
"				inline	KeywordColor\\\n"
"				continue	KeywordColor\\\n"
"				default	KeywordColor\\\n"
"				delete	KeywordColor\\\n"
"				do		KeywordColor\\\n"
"				double	KeywordColor\\\n"
"				else	KeywordColor\\\n"
"				extern	KeywordColor\\\n"
"				explicit	KeywordColor\\\n"
"				enum	KeywordColor\\\n"
"				false	KeywordColor\\\n"
"				for		KeywordColor\\\n"
"				float	KeywordColor\\\n"
"				goto	KeywordColor\\\n"
"				if		KeywordColor\\\n"
"				try		KeywordColor\\\n"
"				throw	KeywordColor\\\n"
"				this	KeywordColor\\\n"
"				catch	KeywordColor\\\n"
"				virtual	KeywordColor\\\n"
"				int		KeywordColor\\\n"
"				long	KeywordColor\\\n"
"				new		KeywordColor ClassColor >\\\n"
"				register	KeywordColor\\\n"
"				return	KeywordColor\\\n"
"				sizeof	KeywordColor\\\n"
"				static	KeywordColor\\\n"
"				struct	KeywordColor ClassColor >\\\n"
"				short	KeywordColor\\\n"
"				switch	KeywordColor\\\n"
"				template	KeywordColor\\\n"
"				true		KeywordColor\\\n"
"				typedef	KeywordColor\\\n"
"				unsigned	KeywordColor\\\n"
"				union	KeywordColor\\\n"
"				void	KeywordColor\\\n"
"				while	KeywordColor\\\n"
"				using	KeywordColor\\\n"
"				namespace	KeywordColor\\\n"
"				dynamic_cast	KeywordColor\\\n"
"				static_cast	KeywordColor\\\n"
"				const_cast	KeywordColor\\\n"
"				reinterpret_cast	KeywordColor\\\n"
"				cerr	LibraryColor\\\n"
"				cin		LibraryColor\\\n"
"				cout	LibraryColor\\\n"
"				endl	LibraryColor\\\n"
"				NULL	LibraryColor\\\n"
"				stderr	LibraryColor\\\n"
"				stdout	LibraryColor\\\n"
"				printf	LibraryColor\\\n"
"				fprintf	LibraryColor\\\n"
"				sprintf	LibraryColor\\\n"
"				exit	LibraryColor\\\n"
"				read	LibraryColor\\\n"
"				write	LibraryColor\\\n"
"				lseek	LibraryColor\\\n"
"				defined	CppColor\\\n"
"				#define	CppColor\\\n"
"				#include	CppColor\\\n"
"				#undef	CppColor\\\n"
"				#ifdef	CppColor\\\n"
"				#if		CppColor\\\n"
"				#ifndef	CppColor\\\n"
"				#endif	CppColor\\\n"
"				#else	CppColor\\\n"
"				#elif	CppColor\n"
"\n"
"	alias:	{	{\\+\\*\\-}\\\n"
"		break;	break;\\\n"
"		char	char\\\n"
"		case	case \\*:\\\n"
"		class	class\\\n"
"		class	class \\* {\\iprivate:\\+\\-protected:\\+\\-public:\\+\\-};\\i\\\n"
"		continue;	continue;\\\n"
"		const	const\\\n"
"		default	default:\\\n"
"		delete	delete\\\n"
"		do	do\\\n"
"		double	double\\\n"
"		else	else\\\n"
"		extern	extern\\\n"
"		explicit	explicit\\\n"
"		enum	enum {\\+\\*\\-};\\\n"
"		for	for (\\*;;)\\\n"
"		float	float\\\n"
"		friend	friend\\\n"
"		goto	goto\\\n"
"		if	if (\\*)\\\n"
"		int	int\\\n"
"		inline	inline\\\n"
"		long	long\\\n"
"		operator	operator\\\n"
"		private	private:\\\n"
"		protected	protected:\\\n"
"		public	public:\\\n"
"		register	register\\\n"
"		return	return\\\n"
"		sizeof	sizeof\\\n"
"		static	static\\\n"
"		struct	struct\\\n"
"		short	short\\\n"
"		switch	switch (\\*)\\\n"
"		switch	switch (\\*) {\\icase :\\+break;\\-case :\\+break;\\-default:\\+break;\\-}\\\n"
"		catch	catch (\\*) {\\+\\-}\\\n"
"		try		try {\\+\\*\\-}\\icatch () {\\+\\-}\\\n"
"		throw	throw\\\n"
"		this	this\\\n"
"		typedef	typedef\\\n"
"		unsigned	unsigned\\\n"
"		union	union\\\n"
"		void	void\\\n"
"		virtual	virtual\\\n"
"		while	while (\\*)\\\n"
"		main	int main (int argc, char** argv)\\i{\\+\\*\\ireturn 0;\\-}\\i\\\n"
"		fprintf	fprintf (stderr, \"\\*\\\\n\");\\\n"
"		/*		/* \\* */\\\n"
"		/**		/*\\i *\\*\\i */\\\n"
"		//		// \\*.\\\n"
"		#	#\\\n"
"		#define	#define\\\n"
"		#include	#include <\\*.h>\\\n"
"		#ifdef	#ifdef\\\n"
"		#undef	#undef\\\n"
"		#ifndef	#ifndef\\\n"
"		#endif	#endif\\\n"
"		#else	#else\\\n"
"		#elif	#elif\n"
"}\n"
"\n"
"defmode Galactic-C {\n"
"	menu {\n"
"		Compile Buffer,			compile-buffer\n"
"		Set Compile Command...,	set-compile-command\n"
"		Set Tag Command...,	set-tag-command\n"
"		Unix Command...,			exec-command\n"
"	}\n"
"	suffix:	*.[ch]\n"
"	magic:	/\\*\n"
"	delimitors:	\\!\";:.,~}*()[]=+-|@$%&?<>\n"
"	comment_submode:	French\n"
"	string_submode:		French\n"
"	comment_start: /*\n"
"	comment_stop: */\n"
"	tag_cmd: make tags\n"
"	compile: make %b.o\n"
"	errors: %*[^:]:%d:\n"
"	abbrev:		/usr/X11R6/include/X11/Intrinsic.h\n"
"\n"
"	keywords:	?		KeywordColor\\\n"
"				:		KeywordColor\\\n"
"				*		KeywordColor\\\n"
"				&&		KeywordColor\\\n"
"				||		KeywordColor\\\n"
"				<=		KeywordColor\\\n"
"				>=		KeywordColor\\\n"
"				!=		KeywordColor\\\n"
"				==		KeywordColor\\\n"
"				\\+\\+		KeywordColor\\\n"
"				--		KeywordColor\\\n"
"				\\+=		KeywordColor\\\n"
"				-=		KeywordColor\\\n"
"				[_A-Z]+	ConstantColor\\\n"
"				[0-9]+	ConstantColor\\\n"
"				break	KeywordColor\\\n"
"				char	KeywordColor\\\n"
"				case	KeywordColor\\\n"
"				continue	KeywordColor\\\n"
"				const	KeywordColor\\\n"
"				default	KeywordColor\\\n"
"				do		KeywordColor\\\n"
"				double	KeywordColor\\\n"
"				else	KeywordColor\\\n"
"				extern	KeywordColor\\\n"
"				enum	KeywordColor\\\n"
"				for		KeywordColor\\\n"
"				float	KeywordColor\\\n"
"				goto	KeywordColor\\\n"
"				if		KeywordColor\\\n"
"				int		KeywordColor\\\n"
"				long	KeywordColor\\\n"
"				register	KeywordColor\\\n"
"				return	KeywordColor\\\n"
"				sizeof	KeywordColor\\\n"
"				static	KeywordColor\\\n"
"				struct	KeywordColor\\\n"
"				short	KeywordColor\\\n"
"				switch	KeywordColor\\\n"
"				typedef	KeywordColor\\\n"
"				unsigned	KeywordColor\\\n"
"				union	KeywordColor\\\n"
"				void	KeywordColor\\\n"
"				while	KeywordColor\\\n"
"				NULL	LibraryColor\\\n"
"				stderr	LibraryColor\\\n"
"				printf	LibraryColor\\\n"
"				fprintf	LibraryColor\\\n"
"				sprintf	LibraryColor\\\n"
"				exit	LibraryColor\\\n"
"				read	LibraryColor\\\n"
"				write	LibraryColor\\\n"
"				lseek	LibraryColor\\\n"
"				unlink	LibraryColor\\\n"
"				open	LibraryColor\\\n"
"				close	LibraryColor\\\n"
"				creat	LibraryColor\\\n"
"				defined	CppColor\\\n"
"				#define	CppColor\\\n"
"				#include	CppColor\\\n"
"				#undef	CppColor\\\n"
"				#ifdef	CppColor\\\n"
"				#elif	CppColor\\\n"
"				#if		CppColor\\\n"
"				#ifndef	CppColor\\\n"
"				#endif	CppColor\\\n"
"				#else	CppColor\n"
"\n"
"	keytable:		^M	new-line-indent-c\\\n"
"				$E$U	c-beginning-of-function\\\n"
"				$E$D	c-end-of-function\\\n"
"				$En	exec-named-macro(next-function)\\\n"
"				$Ep	exec-named-macro(previous-function)\\\n"
"				$E^C	compile-buffer\\\n"
"				$E{	match-opening-brace\\\n"
"				$E}	match-closing-brace\\\n"
"				$E(	match-opening-par\\\n"
"				$E)	match-closing-par\\\n"
"				$Et	show-tags\\\n"
"				]	flasher\\\n"
"				)	flasher\\\n"
"				}	flasher\n"
"\n"
"	alias:	{	{\\+\\*\\-}\\\n"
"		(	(\\*)\\\n"
"		break;	break;\\\n"
"		char	char\\\n"
"		case	case \\*:\\\n"
"		continue;	continue;\\\n"
"		const	const\\\n"
"		default	default:\\\n"
"		do	do\\\n"
"		double	double\\\n"
"		else	else\\\n"
"		extern	extern\\\n"
"		enum	enum\\\n"
"		for	for (\\*;;)\\\n"
"		float	float\\\n"
"		goto	goto\\\n"
"		if	if (\\*)\\\n"
"		int	int\\\n"
"		long	long\\\n"
"		register	register\\\n"
"		return	return\\\n"
"		sizeof	sizeof\\\n"
"		static	static\\\n"
"		struct	struct\\\n"
"		short	short\\\n"
"		switch	switch (\\*)\\\n"
"		switch	switch (\\*) {\\icase :\\+break;\\-case :\\+break;\\-default:\\+break;\\-}\\\n"
"		typedef	typedef\\\n"
"		unsigned	unsigned\\\n"
"		union	union\\\n"
"		void	void\\\n"
"		while	while (\\*)\\\n"
"		main	main (int argc, char** argv)\\i{\\+\\*\\-}\\i\\\n"
"		/*	/* \\* */\\\n"
"		/**	/*\\i *\\*\\i */\\\n"
"		strlen	strlen (\\*)\\\n"
"		strcat	strcat (\\*, )\\\n"
"		strcpy	strcpy (\\*, )\\\n"
"		printf	printf (\"\\*\\\");\\\n"
"		fprintf	fprintf (stderr, \"\\*\\\", );\\\n"
"		sprintf	sprintf (tc, \"\\*\", );\\\n"
"		#	#\\\n"
"		#define	#define\\\n"
"		#include	#include <\\*.h>\\\n"
"		#ifdef	#ifdef\\\n"
"		#undef	#undef\\\n"
"		#ifndef	#ifndef\\\n"
"		#endif	#endif\\\n"
"		#else	#else\\\n"
"		#elif	#elif\n"
"}\n"
"\n"
"defmode Java {\n"
"	menu {\n"
"		Compile Buffer,			compile-buffer\n"
"		Set Compile Command...,	set-compile-command\n"
"		Unix Command...,			exec-command\n"
"	}\n"
"	suffix:	*.java\n"
"	compile: javac %b.%e\n"
"	errors: %*[^:]:%d:\n"
"	tag_cmd: make tags\n"
"	delimitors:	\\!\";:.,~}()[]=+-|@$%&?<>\n"
"	comment_start: /*\n"
"	comment_stop: */\n"
"	line_comment: //\n"
"	comment_submode:	French\n"
"	string_submode:		French\n"
"	keytable:	^M	new-line-indent-c\\\n"
"				$E^C	compile-buffer\\\n"
"				$Et	show-tags\\\n"
"				$E{	match-opening-brace\\\n"
"				$E}	match-closing-brace\\\n"
"				$E(	match-opening-par\\\n"
"				$E)	match-closing-par\\\n"
"				)	flasher\\\n"
"				}	flasher\n"
"\n"
"	keywords:	?		KeywordColor\\\n"
"				:		KeywordColor\\\n"
"				&&		KeywordColor\\\n"
"				||		KeywordColor\\\n"
"				<=		KeywordColor\\\n"
"				>=		KeywordColor\\\n"
"				!=		KeywordColor\\\n"
"				==		KeywordColor\\\n"
"				\\+\\+		KeywordColor\\\n"
"				--		KeywordColor\\\n"
"				\\+=		KeywordColor\\\n"
"				-=		KeywordColor\\\n"
"				[_A-Z]+	ConstantColor\\\n"
"				[0-9]+	ConstantColor\\\n"
"				break	KeywordColor\\\n"
"				char	KeywordColor\\\n"
"				byte	KeywordColor\\\n"
"				case	KeywordColor\\\n"
"				class	KeywordColor ClassColor >\\\n"
"				public	KeywordColor\\\n"
"				private	KeywordColor\\\n"
"				protected	KeywordColor\\\n"
"				String	ClassColor\\\n"
"				final	KeywordColor\\\n"
"				abstract	KeywordColor\\\n"
"				continue	KeywordColor\\\n"
"				default	KeywordColor\\\n"
"				do		KeywordColor\\\n"
"				super	KeywordColor\\\n"
"				implements	KeywordColor ClassColor >\\\n"
"				import	KeywordColor\\\n"
"				extends	KeywordColor ClassColor >\\\n"
"				finally	KeywordColor\\\n"
"				instanceof	KeywordColor ClassColor >\\\n"
"				interface	KeywordColor ClassColor >\\\n"
"				native	KeywordColor\\\n"
"				new		KeywordColor ClassColor >\\\n"
"				null	KeywordColor\\\n"
"				package	KeywordColor\\\n"
"				synchronized	KeywordColor\\\n"
"				volatile	KeywordColor\\\n"
"				true	KeywordColor\\\n"
"				false	KeywordColor\\\n"
"				transient	KeywordColor\\\n"
"				try		KeywordColor\\\n"
"				this	KeywordColor\\\n"
"				boolean	KeywordColor\\\n"
"				catch	KeywordColor\\\n"
"				throw	KeywordColor\\\n"
"				throws	KeywordColor\\\n"
"				double	KeywordColor\\\n"
"				else	KeywordColor\\\n"
"				extern	KeywordColor\\\n"
"				enum	KeywordColor\\\n"
"				for		KeywordColor\\\n"
"				float	KeywordColor\\\n"
"				if		KeywordColor\\\n"
"				int		KeywordColor\\\n"
"				long	KeywordColor\\\n"
"				return	KeywordColor\\\n"
"				sizeof	KeywordColor\\\n"
"				static	KeywordColor\\\n"
"				short	KeywordColor\\\n"
"				switch	KeywordColor\\\n"
"				unsigned	KeywordColor\\\n"
"				void	KeywordColor\\\n"
"				while	KeywordColor\n"
"\n"
"	alias:	{	{\\+\\*\\-}\\\n"
"		String	String\\\n"
"		abstract	abstract\\\n"
"		boolean	boolean\\\n"
"		break;	break;\\\n"
"		byte	byte\\\n"
"		char	char\\\n"
"		case	case \\*:\\\n"
"		catch	catch\\\n"
"		class	class\\\n"
"		class	class \\* extends Applet {\\+\\-}\\i\\\n"
"		continue;	continue;\\\n"
"		default	default:\\\n"
"		do	do\\\n"
"		double	double\\\n"
"		else	else\\\n"
"		extends	extends\\\n"
"		false	false\\\n"
"		final	final\\\n"
"		finally	finally\\\n"
"		for	for (\\*;;)\\\n"
"		float	float\\\n"
"		int	int\\\n"
"		if	if (\\*)\\\n"
"		implements	implements\\\n"
"		import	import\\\n"
"		instanceof	instanceof\\\n"
"		interface	interface\\\n"
"		long	long\\\n"
"		native	native\\\n"
"		new		new\\\n"
"		null	null\\\n"
"		package	package\\\n"
"		private	private\\\n"
"		protected	protected\\\n"
"		public	public\\\n"
"		return	return\\\n"
"		static	static\\\n"
"		short	short\\\n"
"		super	super\\\n"
"		switch	switch (\\*)\\\n"
"		switch	switch (\\*) {\\icase :\\+break;\\-case :\\+break;\\-default:\\+break;\\-}\\\n"
"		synchronized	synchronized\\\n"
"		this	this\\\n"
"		throw	throw\\\n"
"		throws	throws\\\n"
"		transient	transient\\\n"
"		true	true\\\n"
"		try		try\\\n"
"		void	void\\\n"
"		volatile	volatile\\\n"
"		while	while (\\*)\\\n"
"		main	public static void main (String [] args)\\i{\\+\\*\\-}\\i\\\n"
"		//		// \\*.\\\n"
"		/*		/* \\* */\\\n"
"		/**		/*\\i *\\*\\i */\n"
"}\n"
"\n"
"defmode Lisp {\n"
"	suffix:		*.lisp *.l\n"
"	delimitors:	\\!\";:.,~}()[]=+-|@$%&?<>\n"
"	line_comment: ;\n"
"	keytable:		$E^I	indent-lisp-line\\\n"
"				^M		lisp-new-line\\\n"
"				$Ei		indent-lisp-function\\\n"
"				$Ep		begin-defun\\\n"
"				$Ee		end-defun\n"
"\n"
"	keywords:	defun	KeywordColor\\\n"
"				setq	KeywordColor\\\n"
"				while	KeywordColor\\\n"
"				if		KeywordColor\\\n"
"				null	KeywordColor\\\n"
"				nil		KeywordColor\\\n"
"				not		KeywordColor\\\n"
"				or		KeywordColor\\\n"
"				and		KeywordColor\\\n"
"				<		KeywordColor\\\n"
"				>		KeywordColor\\\n"
"				>=		KeywordColor\\\n"
"				<=		KeywordColor\\\n"
"				t		KeywordColor\n"
"\n"
"	alias:	defun	defun\\\n"
"			setq	setq\n"
"}\n"
"\n"
"defmode Makefile {\n"
"	suffix:		*/[Mm]akefile*\n"
"	magic:		[CXD]FLAGS\n"
"	line_comment:	#\n"
"	begin_keyword:	$(\n"
"	end_keyword:		)\n"
"	delimitors:	\\!\";:,~}()[]=+|@*$%&?<>\n"
"	cpp_color:	#a4a\n"
"	keywords:	-O2			KeywordColor\\\n"
"				-O6			KeywordColor\\\n"
"				[-A-Z]+		LibraryColor\\\n"
"				\\.SUFFIXES	KeywordColor\\\n"
"				=			KeywordColor\\\n"
"				$<			KeywordColor\\\n"
"				$@			KeywordColor\\\n"
"				$*			KeywordColor\\\n"
"				:			KeywordColor\n"
"}\n"
"\n"
"defmode LaTex {\n"
"	menu {\n"
"		Print,	  print-buffer\n"
"		Preview,	  compile-buffer\n"
"		-\n"
"		Set LaTex Command...,	set-compile-command\n"
"	}\n"
"	auto_wrap:	off\n"
"	suffix:	*.tex\n"
"	magic:	\\\\begin *{\n"
"	print:	latex %b && dvips %b | lpr && rm -f %b.log %b.dvi &\n"
"	compile: latex %b && xdvi -expert -s 3 %b && rm -f %b.log &\n"
"	errors: l.%d\n"
"	comment_start:	\\begin{verbatim}\n"
"	comment_stop: \\end{verbatim}\n"
"	line_comment: %\n"
"	delimitors:	\\!'`\";:.,~{}()[]*=+-|@$%&?<>\n"
"	begin_keyword:	\\\\\n"
"	keytable:	$Ep	adjust-paragraph()\n"
"	standard_font:	*-new*-bold-r-normal--14-*-75*iso8859-1\n"
"	comment_color:	darkblue\n"
"	comment_font:	*-courier-bold-r-normal--14-*-75*iso8859-1\n"
"	string_delimitor:	$\n"
"	paragraph_delimitor:	^[ 	]*\\\\[a-zA-Z]\n"
"	translations:	:<Key>':		replace-string(\"e\", \"\", \"E\", \"\")\\\n"
"					:<Key>`:		replace-string(\"e\", \"\", \"a\", \"\", \"u\", \"\", \"E\", \"\", \"A\", \"\", \"U\", \"\")\\\n"
"					:<Key>\\,:		replace-string(\"c,\", \"\", \"C,\", \"\")\\\n"
"					:<Key>^:		replace-string(\"e\", \"\", \"a\", \"\", \"u\", \"\", \"o\", \"\", \"i\", \"\", \"e\", \"\", \"A\", \"\", \"U\", \"\", \"O\", \"\", \"I\", \"\")\\\n"
"					~Ctrl<Key>space:	expand-from-alias()adjust-paragraph()\n"
"\n"
"	alias:	em 		\\\\emph{\\*}\\\n"
"			it 		\\\\textit{\\*}\\\n"
"			bf 		\\\\textbf{\\*}\\\n"
"			sc 		\\\\textsc{\\*}\\\n"
"			tt 		\\\\texttt{\\*}\\\n"
"			sl 		\\\\textsl{\\*}\\\n"
"			mbox		\\\\mbox{\\*}\\\n"
"			underline	\\\\underline{\\*}\\\n"
"			footnote	\\\\footnote{\\*}\\\n"
"			tiny		{\\\\tiny \\*}\\\n"
"			begin		\\\\begin{\\*}{}\\+\\-\\\\end{}\\\n"
"			section 	\\\\section{\\*}\\\n"
"			subsection	\\\\subsection{\\*}\\\n"
"			subsub		\\\\subsubsection{\\*}\\\n"
"			chapter		\\\\chapter{\\*}\\\n"
"			hs		\\\\hspace\\*{6mm}\\\n"
"			vs		\\\\vspace{5mm}\\\n"
"			ct		\\\\^{}\\*\\\n"
"			quote		\\\\begin{quote}\\i\\*\\i\\\\end{quote}\\i\\\n"
"			tabular		\\\\begin{tabular}{\\*}\\i\\i\\\\end{tabular}\\i\\\n"
"			tabbing		\\\\begin{tabbing}\\innnnnnnn \\\\= \\\\kill \\\\+ \\\\\\\\\\i\\*\\i\\\\end{tabbing}\\i\\\n"
"			center		\\\\begin{center}{\\*}\\i\\i\\\\end{center}\\i\\\n"
"			verbatim	\\\\begin{verbatim}\\i\\*\\i\\\\end{verbatim}\\\n"
"			itemize 	\\\\begin{itemize}\\+\\\\item	\\*\\i\\\\item	\\-\\\\end{itemize}\\i\\\n"
"			enumerate 	\\\\begin{enumerate}\\+\\\\item \\*\\i\\\\item \\-\\\\end{enumerate}\\i\\\n"
"			description	\\\\begin{description}\\+\\\\item[\\*] \\i\\\\item[] \\-\\\\end{description}\\i\\\n"
"			verse		\\\\begin{verse}\\+\\*\\-\\\\end{verse}\\i\\\n"
"			displaymath	\\\\begin{displaymath}\\i\\*\\i\\\\end{displaymath}\\i\\\n"
"			equation	\\\\begin{equation}\\i\\*\\i\\\\end{equation}\\i\\\n"
"			framebox	\\\\framebox(\\*,)[]{}\\\n"
"			makebox		\\\\makebox(\\*,)[]{}\\\n"
"			picture		\\\\begin{picture}(\\*,)(,)\\+\\-\\\\end{picture}\n"
"}\n"
"\n"
"defmode Postscript {\n"
"	suffix:		*.ps *.epsf\n"
"	magic:		^%!PS-Adobe\n"
"	line_comment:	%\n"
"	comment_start:	(\n"
"	comment_stop:	)\n"
"	string_delimitor:	|\n"
"	delimitors:	\\!\";:.,~{}()[]/=+-|@$%&?<>\n"
"	compile: ghostview %b.%e &\n"
"	menu {\n"
"		Preview,	  compile-buffer\n"
"		Set Postscript Command...,	set-compile-command\n"
"	}\n"
"	keytable:	^M	new-line-indent\\\n"
"				$E{	match-opening-brace\\\n"
"				$E}	match-closing-brace\\\n"
"				$E(	match-opening-par\\\n"
"				$E)	match-closing-par\\\n"
"				]	flasher\\\n"
"				)	flasher\\\n"
"				}	flasher\n"
"\n"
"	keywords:	FontDirectory	KeywordColor\\\n"
"				ISOLatin1Encoding	KeywordColor\\\n"
"				StandardEncoding	KeywordColor\\\n"
"				abs	KeywordColor\\\n"
"				add	KeywordColor\\\n"
"				aload	KeywordColor\\\n"
"				anchorsearch	KeywordColor\\\n"
"				and	KeywordColor\\\n"
"				arc	KeywordColor\\\n"
"				arcn	KeywordColor\\\n"
"				arcto	KeywordColor\\\n"
"				array	KeywordColor\\\n"
"				ashow	KeywordColor\\\n"
"				astore	KeywordColor\\\n"
"				atan	KeywordColor\\\n"
"				awidthshow	KeywordColor\\\n"
"				begin	KeywordColor\\\n"
"				bind	KeywordColor\\\n"
"				bitshift	KeywordColor\\\n"
"				bytesavailable	KeywordColor\\\n"
"				cachestatus	KeywordColor\\\n"
"				ceiling	KeywordColor\\\n"
"				charpath	KeywordColor\\\n"
"				clear	KeywordColor\\\n"
"				cleardictstack	KeywordColor\\\n"
"				cleartomark	KeywordColor\\\n"
"				clip	KeywordColor\\\n"
"				clippath	KeywordColor\\\n"
"				closefile	KeywordColor\\\n"
"				closepath	KeywordColor\\\n"
"				colorimage	KeywordColor\\\n"
"				concat	KeywordColor\\\n"
"				concatmatrix	KeywordColor\\\n"
"				condition	KeywordColor\\\n"
"				copy	KeywordColor\\\n"
"				copydevice	KeywordColor\\\n"
"				copyscanlines	KeywordColor\\\n"
"				copypage	KeywordColor\\\n"
"				cos	KeywordColor\\\n"
"				count	KeywordColor\\\n"
"				countdictstack	KeywordColor\\\n"
"				countexecstack	KeywordColor\\\n"
"				counttomark	KeywordColor\\\n"
"				currentalpha	KeywordColor\\\n"
"				currentblackgeneration	KeywordColor\\\n"
"				currentcacheparams	KeywordColor\\\n"
"				currentcmykcolor	KeywordColor\\\n"
"				currentcolor	KeywordColor\\\n"
"				currentcolorrendering	KeywordColor\\\n"
"				currentcolortransfer	KeywordColor\\\n"
"				currentcontext	KeywordColor\\\n"
"				currentdash	KeywordColor\\\n"
"				currentdevice	KeywordColor\\\n"
"				currentdict	KeywordColor\\\n"
"				currentfile	KeywordColor\\\n"
"				currentflat	KeywordColor\\\n"
"				currentfont	KeywordColor\\\n"
"				currentgray	KeywordColor\\\n"
"				currentgstate	KeywordColor\\\n"
"				currenthalftonephase	KeywordColor\\\n"
"				currenthsbcolor	KeywordColor\\\n"
"				currentlinecap	KeywordColor\\\n"
"				currentlinejoin	KeywordColor\\\n"
"				currentlinewidth	KeywordColor\\\n"
"				currentmatrix	KeywordColor\\\n"
"				currentmiterlimit	KeywordColor\\\n"
"				currentobjectformat	KeywordColor\\\n"
"				currentoverprint	KeywordColor\\\n"
"				currentpacking	KeywordColor\\\n"
"				currentpoint	KeywordColor\\\n"
"				currentrgbcolor	KeywordColor\\\n"
"				currentscreen	KeywordColor\\\n"
"				currentstrokeadjust	KeywordColor\\\n"
"				currenttransfer	KeywordColor\\\n"
"				currentundercolorremoval	KeywordColor\\\n"
"				curveto	KeywordColor\\\n"
"				cvi	KeywordColor\\\n"
"				cvlit	KeywordColor\\\n"
"				cvn	KeywordColor\\\n"
"				cvr	KeywordColor\\\n"
"				cvrs	KeywordColor\\\n"
"				cvs	KeywordColor\\\n"
"				cvx	KeywordColor\\\n"
"				def	KeywordColor\\\n"
"				defaultmatrix	KeywordColor\\\n"
"				deletefile	KeywordColor\\\n"
"				dict	KeywordColor\\\n"
"				dictstack	KeywordColor\\\n"
"				div	KeywordColor\\\n"
"				dtransform	KeywordColor\\\n"
"				dup	KeywordColor\\\n"
"				echo	KeywordColor\\\n"
"				end	KeywordColor\\\n"
"				eoclip	KeywordColor\\\n"
"				eofill	KeywordColor\\\n"
"				eq	KeywordColor\\\n"
"				exch	KeywordColor\\\n"
"				exec	KeywordColor\\\n"
"				execstack	KeywordColor\\\n"
"				executeonly	KeywordColor\\\n"
"				exit	KeywordColor\\\n"
"				exp	KeywordColor\\\n"
"				false	KeywordColor\\\n"
"				file	KeywordColor\\\n"
"				filenameforall	KeywordColor\\\n"
"				fileposition	KeywordColor\\\n"
"				fill	KeywordColor\\\n"
"				findfont	KeywordColor\\\n"
"				flattenpath	KeywordColor\\\n"
"				floor	KeywordColor\\\n"
"				flush	KeywordColor\\\n"
"				flushfile	KeywordColor\\\n"
"				flushpage	KeywordColor\\\n"
"				for	KeywordColor\\\n"
"				forall	KeywordColor\\\n"
"				framedevice	KeywordColor\\\n"
"				ge	KeywordColor\\\n"
"				get	KeywordColor\\\n"
"				getenv	KeywordColor\\\n"
"				getinterval	KeywordColor\\\n"
"				grestore	KeywordColor\\\n"
"				grestoreall	KeywordColor\\\n"
"				gsave	KeywordColor\\\n"
"				gt	KeywordColor\\\n"
"				identmatrix	KeywordColor\\\n"
"				idiv	KeywordColor\\\n"
"				idtransform	KeywordColor\\\n"
"				if	KeywordColor\\\n"
"				ifelse	KeywordColor\\\n"
"				image	KeywordColor\\\n"
"				imagemask	KeywordColor\\\n"
"				index	KeywordColor\\\n"
"				ineofill	KeywordColor\\\n"
"				infill	KeywordColor\\\n"
"				initclip	KeywordColor\\\n"
"				initgraphics	KeywordColor\\\n"
"				initmatrix	KeywordColor\\\n"
"				instroke	KeywordColor\\\n"
"				inueofill	KeywordColor\\\n"
"				inufill	KeywordColor\\\n"
"				inustroke	KeywordColor\\\n"
"				invertmatrix	KeywordColor\\\n"
"				itransform	KeywordColor\\\n"
"				join	KeywordColor\\\n"
"				known	KeywordColor\\\n"
"				kshow	KeywordColor\\\n"
"				le	KeywordColor\\\n"
"				length	KeywordColor\\\n"
"				lineto	KeywordColor\\\n"
"				ln	KeywordColor\\\n"
"				load	KeywordColor\\\n"
"				lock	KeywordColor\\\n"
"				log	KeywordColor\\\n"
"				loop	KeywordColor\\\n"
"				lt	KeywordColor\\\n"
"				makefont	KeywordColor\\\n"
"				makeimagedevice	KeywordColor\\\n"
"				manualfeed	KeywordColor\\\n"
"				mark	KeywordColor\\\n"
"				maxlength	KeywordColor\\\n"
"				mod	KeywordColor\\\n"
"				moveto	KeywordColor\\\n"
"				mul	KeywordColor\\\n"
"				ne	KeywordColor\\\n"
"				neg	KeywordColor\\\n"
"				newpath	KeywordColor\\\n"
"				noaccess	KeywordColor\\\n"
"				not	KeywordColor\\\n"
"				notify	KeywordColor\\\n"
"				null	KeywordColor\\\n"
"				nulldevice	KeywordColor\\\n"
"				or	KeywordColor\\\n"
"				pathbbox	KeywordColor\\\n"
"				pathforall	KeywordColor\\\n"
"				pop	KeywordColor\\\n"
"				print	KeywordColor\\\n"
"				processcolors	KeywordColor\\\n"
"				prompt	KeywordColor\\\n"
"				pstack	KeywordColor\\\n"
"				put	KeywordColor\\\n"
"				putinterval	KeywordColor\\\n"
"				quit	KeywordColor\\\n"
"				rand	KeywordColor\\\n"
"				rcheck	KeywordColor\\\n"
"				rcurveto	KeywordColor\\\n"
"				read	KeywordColor\\\n"
"				readhexstring	KeywordColor\\\n"
"				readline	KeywordColor\\\n"
"				readonly	KeywordColor\\\n"
"				readstring	KeywordColor\\\n"
"				rectappend	KeywordColor\\\n"
"				rectclip	KeywordColor\\\n"
"				rectfill	KeywordColor\\\n"
"				rectstroke	KeywordColor\\\n"
"				renamefile	KeywordColor\\\n"
"				renderbands	KeywordColor\\\n"
"				repeat	KeywordColor\\\n"
"				resetfile	KeywordColor\\\n"
"				restore	KeywordColor\\\n"
"				reversepath	KeywordColor\\\n"
"				rlineto	KeywordColor\\\n"
"				rmoveto	KeywordColor\\\n"
"				roll	KeywordColor\\\n"
"				rootfont	KeywordColor\\\n"
"				rotate	KeywordColor\\\n"
"				round	KeywordColor\\\n"
"				rrand	KeywordColor\\\n"
"				run	KeywordColor\\\n"
"				save	KeywordColor\\\n"
"				scale	KeywordColor\\\n"
"				scalefont	KeywordColor\\\n"
"				search	KeywordColor\\\n"
"				serialnumber	KeywordColor\\\n"
"				setalpha	KeywordColor\\\n"
"				setbbox	KeywordColor\\\n"
"				setblackgeneration	KeywordColor\\\n"
"				setcachedevice	KeywordColor\\\n"
"				setcachedevice2	KeywordColor\\\n"
"				setcachelimit	KeywordColor\\\n"
"				setcacheparams	KeywordColor\\\n"
"				setcharwidth	KeywordColor\\\n"
"				setcmykcolor	KeywordColor\\\n"
"				setcolor	KeywordColor\\\n"
"				setcolorrendering	KeywordColor\\\n"
"				setcolorscreen	KeywordColor\\\n"
"				setcolortransfer	KeywordColor\\\n"
"				setdash	KeywordColor\\\n"
"				setfileposition	KeywordColor\\\n"
"				setflat	KeywordColor\\\n"
"				setfont	KeywordColor\\\n"
"				setgray	KeywordColor\\\n"
"				setgstate	KeywordColor\\\n"
"				sethalftonephase	KeywordColor\\\n"
"				sethsbcolor	KeywordColor\\\n"
"				setlinecap	KeywordColor\\\n"
"				setlinejoin	KeywordColor\\\n"
"				setlinewidth	KeywordColor\\\n"
"				setmatrix	KeywordColor\\\n"
"				setmiterlimit	KeywordColor\\\n"
"				setobjectformat	KeywordColor\\\n"
"				setoverprint	KeywordColor\\\n"
"				setpacking	KeywordColor\\\n"
"				setrgbcolor	KeywordColor\\\n"
"				setscreen	KeywordColor\\\n"
"				setstrokeadjust	KeywordColor\\\n"
"				setsystemparams	KeywordColor\\\n"
"				settransfer	KeywordColor\\\n"
"				setundercolorremoval	KeywordColor\\\n"
"				setuserparams	KeywordColor\\\n"
"				setvmthreshold	KeywordColor\\\n"
"				show	KeywordColor\\\n"
"				showpage	KeywordColor\\\n"
"				sin	KeywordColor\\\n"
"				sqrt	KeywordColor\\\n"
"				srand	KeywordColor\\\n"
"				stack	KeywordColor\\\n"
"				start	KeywordColor\\\n"
"				status	KeywordColor\\\n"
"				statusdict	KeywordColor\\\n"
"				stop	KeywordColor\\\n"
"				stopped	KeywordColor\\\n"
"				store	KeywordColor\\\n"
"				string	KeywordColor\\\n"
"				stringwidth	KeywordColor\\\n"
"				stroke	KeywordColor\\\n"
"				strokepath	KeywordColor\\\n"
"				sub	KeywordColor\\\n"
"				systemdict	KeywordColor\\\n"
"				token	KeywordColor\\\n"
"				transform	KeywordColor\\\n"
"				translate	KeywordColor\\\n"
"				true	KeywordColor\\\n"
"				truncate	KeywordColor\\\n"
"				type	KeywordColor\\\n"
"				uappend	KeywordColor\\\n"
"				ucache	KeywordColor\\\n"
"				ueofill	KeywordColor\\\n"
"				ufill	KeywordColor\\\n"
"				undef	KeywordColor\\\n"
"				unread	KeywordColor\\\n"
"				userdict	KeywordColor\\\n"
"				usertime	KeywordColor\\\n"
"				ustroke	KeywordColor\\\n"
"				ustrokepath	KeywordColor\\\n"
"				version	KeywordColor\\\n"
"				vmreclaim	KeywordColor\\\n"
"				vmstatus	KeywordColor\\\n"
"				wcheck	KeywordColor\\\n"
"				where	KeywordColor\\\n"
"				widthshow	KeywordColor\\\n"
"				write	KeywordColor\\\n"
"				writehexstring	KeywordColor\\\n"
"				writeppmfile	KeywordColor\\\n"
"				writestring	KeywordColor\\\n"
"				xcheck	KeywordColor\\\n"
"				xor	KeywordColor\\\n"
"				Times		CppColor\\\n"
"				Helvetica	CppColor\\\n"
"				Courier		CppColor\\\n"
"				Symbol		CppColor\\\n"
"				Roman		CppColor\\\n"
"				Bold		CppColor\\\n"
"				Oblique		CppColor\\\n"
"				BoldOblique	CppColor\\\n"
"				BoldItalic	CppColor\\\n"
"				Italic		CppColor\n"
"}\n"
"\n"
"defmode HTML {\n"
"	magic:	^<[Hh][Tt][Mm][Ll]>\n"
"	line_comment:	<!\n"
"	delimitors:	\\!\";:.,~}<>()[]=+-|@$%&?\n"
"	begin_keyword:	<\n"
"	end_keyword:		>\n"
"	library_color:	#a4a\n"
"	translations:	:<Key>':		replace-string(\"e\", \"\", \"E\", \"\")\\\n"
"					:<Key>`:		replace-string(\"e\", \"\", \"a\", \"\", \"u\", \"\", \"E\", \"\", \"A\", \"\", \"U\", \"\")\\\n"
"					:<Key>\\,:		replace-string(\"c,\", \"\", \"C,\", \"\")\\\n"
"					:<Key>^:		replace-string(\"e\", \"\", \"a\", \"\", \"u\", \"\", \"o\", \"\", \"i\", \"\", \"e\", \"\", \"A\", \"\", \"U\", \"\", \"O\", \"\", \"I\", \"\")\n"
"	keywords:	LEFT		LibraryColor\\\n"
"				left		LibraryColor\\\n"
"				RIGHT		LibraryColor\\\n"
"				right		LibraryColor\\\n"
"				CENTER		LibraryColor\\\n"
"				center		LibraryColor\\\n"
"				BOTTOM		LibraryColor\\\n"
"				bottom		LibraryColor\\\n"
"				TOP			LibraryColor\\\n"
"				top			LibraryColor\\\n"
"				hidden		LibraryColor\\\n"
"				HIDDEN		LibraryColor\\\n"
"				checkbox	LibraryColor\\\n"
"				CHECKBOX	LibraryColor\\\n"
"				selected		LibraryColor\\\n"
"				SELECTED	LibraryColor\\\n"
"				submit		LibraryColor\\\n"
"				SUBMIT		LibraryColor\\\n"
"				link		CppColor\\\n"
"				LINK		CppColor\\\n"
"				vlink		CppColor\\\n"
"				VLINK		CppColor\\\n"
"				FRAMEBORDER	CppColor\\\n"
"				frameborder	CppColor\\\n"
"				CELLPADDING	CppColor\\\n"
"				cellpadding	CppColor\\\n"
"				TARGET		CppColor\\\n"
"				target		CppColor\\\n"
"				TEXT		CppColor\\\n"
"				text		CppColor\\\n"
"				COLS		CppColor\\\n"
"				cols		CppColor\\\n"
"				ALIGN		CppColor\\\n"
"				align		CppColor\\\n"
"				BORDER		CppColor\\\n"
"				border		CppColor\\\n"
"				NOBORDER	CppColor\\\n"
"				noborder	CppColor\\\n"
"				HREF		CppColor\\\n"
"				href		CppColor\\\n"
"				SIZE		CppColor\\\n"
"				size		CppColor\\\n"
"				NAME		CppColor\\\n"
"				name		CppColor\\\n"
"				COLOR		CppColor\\\n"
"				color		CppColor\\\n"
"				BACKGROUND	CppColor\\\n"
"				background	CppColor\\\n"
"				BGCOLOR		CppColor\\\n"
"				bgcolor		CppColor\\\n"
"				TYPE		CppColor\\\n"
"				type		CppColor\\\n"
"				FACE		CppColor\\\n"
"				face		CppColor\\\n"
"				SRC			CppColor\\\n"
"				src			CppColor\\\n"
"				VSPACE		CppColor\\\n"
"				vspace		CppColor\\\n"
"				HSPACE		CppColor\\\n"
"				hspace		CppColor\\\n"
"				VALUE		CppColor\\\n"
"				value		CppColor\\\n"
"				WIDTH		CppColor\\\n"
"				width		CppColor\\\n"
"				HEIGHT		CppColor\\\n"
"				height		CppColor\n"
"}\n"
"\n"
"defmode Fvwmrc {\n"
"	suffix:		*.fvwm*rc \n"
"	magic:		DefaultColors\n"
"	line_comment:	#\n"
"	library_color:	red\n"
"	delimitors:	\\!\";:.,~}()[]=+-|@$%&?<>\n"
"	keywords:	AddToMenu			KeywordColor\\\n"
"				AddToFunc			KeywordColor\\\n"
"				AddModuleConfig		KeywordColor\\\n"
"				Beep				KeywordColor\\\n"
"				ButtonStyle			KeywordColor\\\n"
"				ClickTime			KeywordColor\\\n"
"				Close				KeywordColor\\\n"
"				ColormapFocus		KeywordColor\\\n"
"				CursorMove			KeywordColor\\\n"
"				DefaultColors		KeywordColor\\\n"
"				Delete				KeywordColor\\\n"
"				DeskTopSize			KeywordColor\\\n"
"				Desk				KeywordColor\\\n"
"				DestroyFunc			KeywordColor\\\n"
"				DestroyMenu			KeywordColor\\\n"
"				DestroyModuleConfig	KeywordColor\\\n"
"				Destroy				KeywordColor\\\n"
"				EdgeScroll			KeywordColor\\\n"
"				EdgeResistance		KeywordColor\\\n"
"				Exec				KeywordColor\\\n"
"				ExecUseSHELL		KeywordColor\\\n"
"				Focus				KeywordColor\\\n"
"				Function			KeywordColor\\\n"
"				GotoPage			KeywordColor\\\n"
"				HilightColors		KeywordColor\\\n"
"				Iconify				KeywordColor\\\n"
"				IconFont			KeywordColor\\\n"
"				IconPath			KeywordColor\\\n"
"				Key					KeywordColor\\\n"
"				Lower				KeywordColor\\\n"
"				Maximize			KeywordColor\\\n"
"				MenuFont			KeywordColor\\\n"
"				MenuColors			KeywordColor\\\n"
"				Menu				KeywordColor\\\n"
"				ModulePath			KeywordColor\\\n"
"				Module				KeywordColor\\\n"
"				Mouse				KeywordColor\\\n"
"				Move				KeywordColor\\\n"
"				Nop					KeywordColor\\\n"
"				Next				KeywordColor\\\n"
"				None				KeywordColor\\\n"
"				OpaqueMoveSize		KeywordColor\\\n"
"				PipeRead			KeywordColor\\\n"
"				PixmapPath			KeywordColor\\\n"
"				Popup				KeywordColor\\\n"
"				PopUp				KeywordColor\\\n"
"				Prev				KeywordColor\\\n"
"				Quit				KeywordColor\\\n"
"				QuitScreen			KeywordColor\\\n"
"				Raise_it			KeywordColor\\\n"
"				RaiseLower			KeywordColor\\\n"
"				Raise				KeywordColor\\\n"
"				Read				KeywordColor\\\n"
"				Recapture			KeywordColor\\\n"
"				Refresh				KeywordColor\\\n"
"				Resize				KeywordColor\\\n"
"				Restart				KeywordColor\\\n"
"				KillModule			KeywordColor\\\n"
"				Scroll				KeywordColor\\\n"
"				SendToModule		KeywordColor\\\n"
"				Send_ConfigInfo		KeywordColor\\\n"
"				Send_WindowList		KeywordColor\\\n"
"				set_mask			KeywordColor\\\n"
"				StickyColors		KeywordColor\\\n"
"				Stick				KeywordColor\\\n"
"				Style				KeywordColor\\\n"
"				Title				KeywordColor\\\n"
"				Wait				KeywordColor\\\n"
"				WarpToWindow		KeywordColor\\\n"
"				WindowFont			KeywordColor\\\n"
"				WindowList			KeywordColor\\\n"
"				WindowsDesk			KeywordColor\\\n"
"				XORValue			KeywordColor\\\n"
"				or					KeywordColor\\\n"
"				NoIcon				CppColor\\\n"
"				NoTitle				CppColor\\\n"
"				MWMFunctions		CppColor\\\n"
"				MWMDecor			CppColor\\\n"
"				HintOverride		CppColor\\\n"
"				RandomPlacement		CppColor\\\n"
"				SloppyFocus			CppColor\\\n"
"				NoPPosition			CppColor\\\n"
"				BorderWidth			CppColor\\\n"
"				HandleWidth			CppColor\\\n"
"				Sticky				CppColor\\\n"
"				WindowListSkip		CppColor\\\n"
"				CirculateSkip		CppColor\\\n"
"				NoHandles			CppColor\\\n"
"				StaysOnTop			CppColor\\\n"
"				TitleIcon			CppColor\\\n"
"				FvwmAuto			LibraryColor\\\n"
"				FvwmAudio			LibraryColor\\\n"
"				FvwmPager			LibraryColor\\\n"
"				FvwmTaskBar			LibraryColor\\\n"
"				FvwmButtons			LibraryColor\\\n"
"				FvwmClean			LibraryColor\\\n"
"				FvwmIdent			LibraryColor\\\n"
"				FvwmDebug			LibraryColor\\\n"
"				FvwmWinList			LibraryColor\\\n"
"				FvwmConfig			LibraryColor\\\n"
"				FvwmSave			LibraryColor\\\n"
"				FvwmTalk			LibraryColor\n"
"}\n"
"\n"
"defmode Shell {\n"
"	magic:		^#!.*sh[ 	]*[- ]*\n"
"	line_comment:	#\n"
"	comment_font:	*-courier-bold-r-normal--14-*-75*iso8859-1\n"
"	string_font:	*-courier-bold-r-normal--14-*-75*iso8859-1\n"
"	delimitors:	\\!\";:.,~}()[]=+-|@$%&?<>\n"
"	keywords:	if		KeywordColor\\\n"
"				else	KeywordColor\\\n"
"				elif		KeywordColor\\\n"
"				fi		KeywordColor\\\n"
"				then	KeywordColor\\\n"
"				for		KeywordColor\\\n"
"				foreach	KeywordColor\\\n"
"				case	KeywordColor\\\n"
"				while	KeywordColor\\\n"
"				in		KeywordColor\\\n"
"				do		KeywordColor\\\n"
"				exec	KeywordColor\\\n"
"				exit	KeywordColor\\\n"
"				done	KeywordColor\\\n"
"				trap	KeywordColor\\\n"
"				set		KeywordColor\\\n"
"				esac	KeywordColor\\\n"
"				echo	KeywordColor\n"
"}\n"
"\n"
"defmode WixConfig {\n"
"	magic:		defm[oe][dn][eu]\n"
"	suffix:		*/.wxrc*\n"
"	line_comment:	!\n"
"	delimitors:	\\!;.,~}()[]=+|@$%&?<>\n"
"	keywords:	KeywordColor	CppColor\\\n"
"				LibraryColor	CppColor\\\n"
"				CppColor		CppColor\\\n"
"				ConstantColor		CppColor\\\n"
"				StringColor		CppColor\\\n"
"				StandardColor	CppColor\\\n"
"				defmenu			ConstantColor\\\n"
"				menu			ConstantColor\\\n"
"				fonts			ConstantColor\\\n"
"				modes			ConstantColor\\\n"
"				defmode			ConstantColor\\\n"
"				include			ConstantColor\\\n"
"				begin_keyword:	KeywordColor\\\n"
"				end_keyword:		KeywordColor\\\n"
"				button:			KeywordColor\\\n"
"				suffix:			KeywordColor\\\n"
"				magic:			KeywordColor\\\n"
"				version:			KeywordColor\\\n"
"				string_delimitor:	KeywordColor\\\n"
"				paragraph_delimitor:	KeywordColor\\\n"
"				delimitors:		KeywordColor\\\n"
"				comment_start:	KeywordColor\\\n"
"				comment_stop:	KeywordColor\\\n"
"				line_comment:	KeywordColor\\\n"
"				abbrev:			KeywordColor\\\n"
"				auto_wrap:		KeywordColor\\\n"
"				tag_cmd:		KeywordColor\\\n"
"				errors:			KeywordColor\\\n"
"				keywords:		KeywordColor\\\n"
"				print:			KeywordColor\\\n"
"				compile:		KeywordColor\\\n"
"				background:		KeywordColor\\\n"
"				translations:	KeywordColor\\\n"
"				keytable:		KeywordColor\\\n"
"				standard_font:	KeywordColor\\\n"
"				standard_color:	KeywordColor\\\n"
"				keyword_font:	KeywordColor\\\n"
"				keyword_color:	KeywordColor\\\n"
"				comment_font:	KeywordColor\\\n"
"				comment_color:	KeywordColor\\\n"
"				comment_submode:	KeywordColor\\\n"
"				constant_font:	KeywordColor\\\n"
"				constant_color:	KeywordColor\\\n"
"				library_font:	KeywordColor\\\n"
"				library_color:	KeywordColor\\\n"
"				cpp_font:		KeywordColor\\\n"
"				cpp_color:		KeywordColor\\\n"
"				string_font:	KeywordColor\\\n"
"				string_color:	KeywordColor\\\n"
"				string_submode:	KeywordColor\\\n"
"				alias:			KeywordColor\\\n"
"				c-beginning-of-function	LibraryColor\\\n"
"				c-end-of-function		LibraryColor\\\n"
"				auto-wrap-mode		LibraryColor\\\n"
"				backward-search		LibraryColor\\\n"
"				begin-defun			LibraryColor\\\n"
"				change-directory	LibraryColor\\\n"
"				change-mode-behavior	LibraryColor\\\n"
"				clear-buffer			LibraryColor\\\n"
"				compile-buffer		LibraryColor\\\n"
"				create-window		LibraryColor\\\n"
"				delete-file			LibraryColor\\\n"
"				delete-window		LibraryColor\\\n"
"				end-defun			LibraryColor\\\n"
"				eval-lisp-line		LibraryColor\\\n"
"				exec-command		LibraryColor\\\n"
"				exec-named-macro	LibraryColor\\\n"
"				fast-insert-file	LibraryColor\\\n"
"				fast-load-file		LibraryColor\\\n"
"				fast-forward-search	LibraryColor\\\n"
"				fast-backward-search	LibraryColor\\\n"
"				fast-write-file		LibraryColor\\\n"
"				forward-search		LibraryColor\\\n"
"				indent-lisp-function	LibraryColor\\\n"
"				indent-lisp-line	LibraryColor\\\n"
"				insert-file			LibraryColor\\\n"
"				line-counter		LibraryColor\\\n"
"				lisp-new-line		LibraryColor\\\n"
"				load-file			LibraryColor\\\n"
"				load-lisp-file		LibraryColor\\\n"
"				load-same-file		LibraryColor\\\n"
"				next-window			LibraryColor\\\n"
"				pop-help-box		LibraryColor\\\n"
"				pop-mode-menu		LibraryColor\\\n"
"				pop-kill-stack		LibraryColor\\\n"
"				pop-window-menu	LibraryColor\\\n"
"				print-buffer		LibraryColor\\\n"
"				query-replace		LibraryColor\\\n"
"				quit-the-editor		LibraryColor\\\n"
"				restart-server		LibraryColor\\\n"
"				save-file			LibraryColor\\\n"
"				save-lisp-macro		LibraryColor\\\n"
"				select-pane			LibraryColor\\\n"
"				set-compile-command	LibraryColor\\\n"
"				set-tag-command		LibraryColor\\\n"
"				set-tab-equiv		LibraryColor\\\n"
"				show-tags			LibraryColor\\\n"
"				show-kill-stack		LibraryColor\\\n"
"				show-line-number	LibraryColor\\\n"
"				show-ruler			LibraryColor\\\n"
"				split-window		LibraryColor\\\n"
"				start-macro-learn	LibraryColor\\\n"
"				strip-window		LibraryColor\\\n"
"				stop-macro-learn	LibraryColor\\\n"
"				toggle-editable		LibraryColor\\\n"
"				undo				LibraryColor\\\n"
"				unmodify-buffer		LibraryColor\\\n"
"				unsplit-window		LibraryColor\\\n"
"				write-file			LibraryColor\\\n"
"				wxrc-help			LibraryColor\\\n"
"				indent-line-c		LibraryColor\\\n"
"				backward-char		LibraryColor\\\n"
"				backward-line		LibraryColor\\\n"
"				backward-page		LibraryColor\\\n"
"				backward-word		LibraryColor\\\n"
"				beginning-of-buffer	LibraryColor\\\n"
"				beginning-of-line	LibraryColor\\\n"
"				capitalize-word		LibraryColor\\\n"
"				copy-end-line		LibraryColor\\\n"
"				copy-region			LibraryColor\\\n"
"				curline-top			LibraryColor\\\n"
"				delete-char			LibraryColor\\\n"
"				delete-end-line		LibraryColor\\\n"
"				delete-line			LibraryColor\\\n"
"				delete-word			LibraryColor\\\n"
"				end-of-buffer		LibraryColor\\\n"
"				end-of-line			LibraryColor\\\n"
"				exchange-point-mark	LibraryColor\\\n"
"				exec-macro			LibraryColor\\\n"
"				expand-alias		LibraryColor\\\n"
"				adjust-paragraph	LibraryColor\\\n"
"				expand-from-alias	LibraryColor\\\n"
"				extend-adjust		LibraryColor\\\n"
"				extend-end			LibraryColor\\\n"
"				flasher				LibraryColor\\\n"
"				forward-char		LibraryColor\\\n"
"				forward-line		LibraryColor\\\n"
"				forward-page		LibraryColor\\\n"
"				forward-word		LibraryColor\\\n"
"				goto-line			LibraryColor\\\n"
"				incremental-search	LibraryColor\\\n"
"				incremental-yank	LibraryColor\\\n"
"				insert-accent		LibraryColor\\\n"
"				insert-char			LibraryColor\\\n"
"				insert-octal		LibraryColor\\\n"
"				lower-case-word		LibraryColor\\\n"
"				match-closing-brace	LibraryColor\\\n"
"				match-closing-par	LibraryColor\\\n"
"				match-opening-brace	LibraryColor\\\n"
"				match-opening-par	LibraryColor\\\n"
"				multiplier			LibraryColor\\\n"
"				new-line			LibraryColor\\\n"
"				new-line-indent		LibraryColor\\\n"
"				new-line-indent-c	LibraryColor\\\n"
"				noop				LibraryColor\\\n"
"				open-line			LibraryColor\\\n"
"				open-space			LibraryColor\\\n"
"				repeat-command		LibraryColor\\\n"
"				replace-string		LibraryColor\\\n"
"				rubout-char			LibraryColor\\\n"
"				rubout-word			LibraryColor\\\n"
"				scroll-down			LibraryColor\\\n"
"				scroll-left			LibraryColor\\\n"
"				scroll-right		LibraryColor\\\n"
"				scroll-up			LibraryColor\\\n"
"				scroll-window		LibraryColor\\\n"
"				select-line			LibraryColor\\\n"
"				select-word			LibraryColor\\\n"
"				selection-start		LibraryColor\\\n"
"				set-mark			LibraryColor\\\n"
"				stuff				LibraryColor\\\n"
"				show-line-number	LibraryColor\\\n"
"				switch-font			LibraryColor\\\n"
"				tabulation			LibraryColor\\\n"
"				twiddle-chars		LibraryColor\\\n"
"				upper-case-word		LibraryColor\\\n"
"				wipe-region			LibraryColor\\\n"
"				yank				LibraryColor\n"
"}\n"
"\n"
"defmode BibTex {\n"
"	suffix: *.bib\n"
"	translations:	:<Key>':		replace-string(\"e\", \"\")\\\n"
"					:<Key>`:		replace-string(\"e\", \"\", \"a\", \"\", \"u\", \"\")\\\n"
"					:<Key>\\,:		replace-string(\"c,\", \"\")\\\n"
"					:<Key>^:		replace-string(\"e\", \"\", \"a\", \"\", \"u\", \"\", \"i\", \"\")\n"
"	alias:	au	\\tauthor={\\*},\\\n"
"			ti	\\ttitle={\\*},\\\n"
"			bt	\\tbooktitle={\\*},\\\n"
"			nu	\\tnumber=\\*,\\\n"
"			vo	\\tvolume=\\*,\\\n"
"			jo	\\tjournal={\\*},\\\n"
"			pu	\\tpublisher={\\*},\\\n"
"			in	\\tinstitution={\\*},\\\n"
"			an	\\tannote={\\*},\\\n"
"			mo	\\tmonth={\\*},\\\n"
"			pa	\\tpages={\\*--},\\\n"
"			ad	\\taddress={\\*},\\\n"
"			ed	\\teditor={\\*},\\\n"
"			no	\\tnote={\\*}\\\n"
"			ye	\\tyear=\\*\\\n"
"			art	@article{\\*,\\nau\\nti\\npa\\nvo\\njo\\nye\\n}\\n\\\n"
"			boo	@book{\\*,\\nau\\ned\\nti\\npu\\nye\\n}\\n\\\n"
"			tec	@techreport{\\*,\\nau\\nti\\nin\\nye\\n}\\n\\\n"
"			unp	@unpublished{\\*,\\nau\\nti\\nno\\n}\\n\\\n"
"			inb	@inbook{\\*,\\nau\\ned\\nti\\npa\\npu\\nye\\n}\\n\\\n"
"			inc	@incollection{\\*,\\nau\\nti\\nbt\\npu\\nye\\n}\\n\\\n"
"			inp 	@inproceedings{\\*,\\nau\\nti\\nbt\\ned\\npu\\nye\\n}\\n\\\n"
"			pro 	@proceedings{\\*,\\nti\\ned\\npu\\nye\\n}\\n\\\n"
"			str	@string{\\*={}}\\n\n"
"}\n"
"\n"
"defmode Pascal {\n"
"	menu {\n"
"		Compile Buffer,			compile-buffer\n"
"		Set Compile Command...,	set-compile-command\n"
"		Unix Command...,			exec-command\n"
"	}\n"
"	suffix:	*.p *.pas\n"
"	compile: pc %b.%e\n"
"	comment_start: (*\n"
"	comment_stop: *)\n"
"	delimitors:	\\!\";:.,~}()[]=+-|@$%&?<>\n"
"	keytable:	^M	new-line-indent\n"
"\n"
"	keywords:	begin		KeywordColor\\\n"
"				for			KeywordColor\\\n"
"				if			KeywordColor\\\n"
"				to			KeywordColor\\\n"
"				do			KeywordColor\\\n"
"				end			KeywordColor\\\n"
"				else		KeywordColor\\\n"
"				while		KeywordColor\\\n"
"				repeat		KeywordColor\\\n"
"				until		KeywordColor\\\n"
"				with		KeywordColor\\\n"
"				case		KeywordColor\\\n"
"				integer		KeywordColor\\\n"
"				boolean		KeywordColor\\\n"
"				char		KeywordColor\\\n"
"				procedure	KeywordColor\\\n"
"				function	KeywordColor\\\n"
"				var			KeywordColor\\\n"
"				const		KeywordColor\\\n"
"				type		KeywordColor\\\n"
"				label		KeywordColor\\\n"
"				true		KeywordColor\\\n"
"				false		KeywordColor\\\n"
"				writeln		KeywordColor\\\n"
"				readln		KeywordColor\\\n"
"				record		KeywordColor\\\n"
"				array		KeywordColor\\\n"
"				program		KeywordColor\\\n"
"				of			KeywordColor\n"
"\n"
"	alias:	begin		begin\\+\\*\\-end;\\\n"
"			for			for \\* :=  to  do\\\n"
"			ifb			if \\*\\+then begin\\+\\-end;\\\n"
"			ife			if \\*\\+then \\ielse \\\n"
"			if			if \\* then \\\n"
"			else		else  begin\\+\\*\\-end;\\\n"
"			while		while \\* do \\\n"
"			repeat		repeat\\+\\*\\-until \\\n"
"			with		with \\* do begin\\+\\-end;\\\n"
"			case		case \\* of\\+\\-end;\\\n"
"			integer		integer;\\\n"
"			boolean		boolean;\\\n"
"			char		char;\\\n"
"			procedure	procedure \\\n"
"			program		program \\* (input, output);\\nbegin\\+\\-end.\\\n"
"			function	function \\\n"
"			var			var \\\n"
"			const		const \\\n"
"			type		type \\\n"
"			label		label \\\n"
"			true		true\\\n"
"			false		false\\\n"
"			writeln		writeln (\\*);\\\n"
"			readln		readln (\\*);\\\n"
"			record		record  end;\\\n"
"			array		array [\\*..] of ;\n"
"}\n"
"\n"
"defmode XML {\n"
"	suffix: *.xml\n"
"	magic: <\\?xml\n"
"	line_comment:	<!\n"
"	delimitors:	\\\";:.,~}<>()[]=+-|@$%&?\n"
"	begin_keyword:	<\n"
"	end_keyword:	>\n"
"}\n"
"\n"
"defmode XMLDTD {\n"
"	suffix: *.dtd\n"
"	delimitors:	\\\";:.,~}<>()[]=+-|!@$%&?\n"
"	begin_keyword:	<!\n"
"	end_keyword:	>\n"
"}\n"
"\n"
"defmode Python {\n"
"	suffix: *.py\n"
"	magic: def\n"
"	line_comment: #\n"
"	delimitors: \\\"':;,()[]=+-/.%\n"
"	keytable:	^M	new-line-indent-c\\\n"
"				$E{	match-opening-brace\\\n"
"				$E}	match-closing-brace\\\n"
"				$E(	match-opening-par\\\n"
"				$E)	match-closing-par\\\n"
"				)	flasher\\\n"
"				}	flasher\\\n"
"				]	flasher\n"
"\n"
"	keywords: 	not		KeywordColor\\\n"
"				or		KeywordColor\\\n"
"				and		KeywordColor\\\n"
"				if		KeywordColor\\\n"
"				else	KeywordColor\\\n"
"				elif	KeywordColor\\\n"
"				while	KeywordColor\\\n"
"				def		KeywordColor\\\n"
"				class	KeywordColor\\\n"
"				lambda	KeywordColor\\\n"
"				try		KeywordColor\\\n"
"				except	KeywordColor\\\n"
"				finally	KeywordColor\\\n"
"				raise	KeywordColor\\\n"
"				import	KeywordColor\\\n"
"				from	KeywordColor\\\n"
"				for		KeywordColor\\\n"
"				in		KeywordColor\\\n"
"				pass	KeywordColor\\\n"
"				break	KeywordColor\\\n"
"				continue	KeywordColor\\\n"
"				global	KeywordColor\\\n"
"				exec	KeywordColor\\\n"
"				None	KeywordColor\\\n"
"				return	KeywordColor\\\n"
"				__init__	KeywordColor\\\n"
"				__del__	KeywordColor\\\n"
"				self	CppColor\\\n"
"				len		LibraryColor\\\n"
"				isinstance LibraryColor\n"
"}\n"
"\n"
"defmode Tcl {\n"
"	suffix:	*.tcl\n"
"	line_comment: #\n"
"	delimitors:	\\!\";:.,~}()[]=+-|@$%&?<>\n"
"	keytable:	^M	new-line-indent-c\\\n"
"				$E{	match-opening-brace\\\n"
"				$E}	match-closing-brace\\\n"
"				$E(	match-opening-par\\\n"
"				$E)	match-closing-par\\\n"
"				)	flasher\\\n"
"				}	flasher\n"
"\n"
"	keywords:	after		KeywordColor\\\n"
"				append		KeywordColor\\\n"
"				array		KeywordColor\\\n"
"				bell		KeywordColor\\\n"
"				bgerror		KeywordColor\\\n"
"				binary		KeywordColor\\\n"
"				bind		KeywordColor\\\n"
"				bindtags	KeywordColor\\\n"
"				bitmap		KeywordColor\\\n"
"				break		KeywordColor\\\n"
"				button		KeywordColor\\\n"
"				canvas		KeywordColor\\\n"
"				case		KeywordColor\\\n"
"				catch		KeywordColor\\\n"
"				cd			KeywordColor\\\n"
"				checkbutton	KeywordColor\\\n"
"				clipboard	KeywordColor\\\n"
"				clock		KeywordColor\\\n"
"				close		KeywordColor\\\n"
"				concat		KeywordColor\\\n"
"				continue	KeywordColor\\\n"
"				destroy		KeywordColor\\\n"
"				entry		KeywordColor\\\n"
"				eof			KeywordColor\\\n"
"				error		KeywordColor\\\n"
"				eval		KeywordColor\\\n"
"				event		KeywordColor\\\n"
"				exec		KeywordColor\\\n"
"				exit		KeywordColor\\\n"
"				expr		KeywordColor\\\n"
"				fblocked	KeywordColor\\\n"
"				fconfigure	KeywordColor\\\n"
"				fcopy		KeywordColor\\\n"
"				file		KeywordColor\\\n"
"				fileevent	KeywordColor\\\n"
"				filename	KeywordColor\\\n"
"				flush		KeywordColor\\\n"
"				focus		KeywordColor\\\n"
"				font		KeywordColor\\\n"
"				for			KeywordColor\\\n"
"				foreach		KeywordColor\\\n"
"				format		KeywordColor\\\n"
"				frame		KeywordColor\\\n"
"				gets		KeywordColor\\\n"
"				glob		KeywordColor\\\n"
"				global		KeywordColor\\\n"
"				grab		KeywordColor\\\n"
"				grid		KeywordColor\\\n"
"				history		KeywordColor\\\n"
"				if			KeywordColor\\\n"
"				image		KeywordColor\\\n"
"				incr		KeywordColor\\\n"
"				info		KeywordColor\\\n"
"				interp		KeywordColor\\\n"
"				join		KeywordColor\\\n"
"				label		KeywordColor\\\n"
"				lappend		KeywordColor\\\n"
"				library		KeywordColor\\\n"
"				lindex		KeywordColor\\\n"
"				linsert		KeywordColor\\\n"
"				list		KeywordColor\\\n"
"				listbox		KeywordColor\\\n"
"				llength		KeywordColor\\\n"
"				load		KeywordColor\\\n"
"				loadTk		KeywordColor\\\n"
"				lower		KeywordColor\\\n"
"				lrange		KeywordColor\\\n"
"				lreplace	KeywordColor\\\n"
"				lsearch		KeywordColor\\\n"
"				lsort		KeywordColor\\\n"
"				menu		KeywordColor\\\n"
"				menubutton	KeywordColor\\\n"
"				message		KeywordColor\\\n"
"				namespace	KeywordColor\\\n"
"				open		KeywordColor\\\n"
"				option		KeywordColor\\\n"
"				options		KeywordColor\\\n"
"				pack		KeywordColor\\\n"
"				package		KeywordColor\\\n"
"				photo		KeywordColor\\\n"
"				pid			KeywordColor\\\n"
"				pkg_mkIndex	KeywordColor\\\n"
"				place		KeywordColor\\\n"
"				proc		KeywordColor\\\n"
"				puts		KeywordColor\\\n"
"				pwd			KeywordColor\\\n"
"				radiobutton KeywordColor\\\n"
"				raise		KeywordColor\\\n"
"				read		KeywordColor\\\n"
"				regexp		KeywordColor\\\n"
"				registry	KeywordColor\\\n"
"				regsub		KeywordColor\\\n"
"				rename		KeywordColor\\\n"
"				resource	KeywordColor\\\n"
"				return		KeywordColor\\\n"
"				scale		KeywordColor\\\n"
"				scan		KeywordColor\\\n"
"				scrollbar	KeywordColor\\\n"
"				seek		KeywordColor\\\n"
"				selection	KeywordColor\\\n"
"				send		KeywordColor\\\n"
"				set			KeywordColor\\\n"
"				socket		KeywordColor\\\n"
"				source		KeywordColor\\\n"
"				split		KeywordColor\\\n"
"				string		KeywordColor\\\n"
"				subst		KeywordColor\\\n"
"				switch		KeywordColor\\\n"
"				tclvars		KeywordColor\\\n"
"				tell		KeywordColor\\\n"
"				text		KeywordColor\\\n"
"				time		KeywordColor\\\n"
"				tk			KeywordColor\\\n"
"				tkerror		KeywordColor\\\n"
"				tkvars		KeywordColor\\\n"
"				tkwait		KeywordColor\\\n"
"				toplevel	KeywordColor\\\n"
"				trace		KeywordColor\\\n"
"				unknown		KeywordColor\\\n"
"				unset		KeywordColor\\\n"
"				update		KeywordColor\\\n"
"				uplevel		KeywordColor\\\n"
"				upvar		KeywordColor\\\n"
"				variable	KeywordColor\\\n"
"				vwait		KeywordColor\\\n"
"				while		KeywordColor\\\n"
"				winfo		KeywordColor\\\n"
"				wm			KeywordColor\n"
"}\n"
"\n"
"defmode French {\n"
"	keytable:		^M	new-line-indent-c\n"
"	translations:	:<Key>':		replace-string(\"e\", \"\", \"E\", \"\")\\\n"
"					:<Key>`:		replace-string(\"e\", \"\", \"a\", \"\", \"u\", \"\", \"E\", \"\", \"A\", \"\", \"U\", \"\")\\\n"
"					:<Key>\\,:		replace-string(\"c,\", \"\", \"C,\", \"\")\\\n"
"					:<Key>^:		replace-string(\"e\", \"\", \"a\", \"\", \"u\", \"\", \"o\", \"\", \"i\", \"\", \"e\", \"\", \"A\", \"\", \"U\", \"\", \"O\", \"\", \"I\", \"\")\\\n"
"					~Ctrl<Key>space:	expand-from-alias()\n"
"}\n";
